
    <style>
        .schedule-container {
            width: 80%;
            margin: 20px auto;
            background: linear-gradient(135deg, #ffffff 0%, #e6e6e6 100%);
            padding: 20px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }
        .schedule-table {
            width: 100%;
            border-collapse: collapse;
        }
        .schedule-table th, .schedule-table td {
            padding: 15px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        .schedule-table th {
            background: linear-gradient(135deg, #333 0%, #1a1a1a 100%);
            color: #fff;
            font-weight: bold;
        }
        .schedule-table td a {
            color: #b5904d;
            text-decoration: none;
            transition: color 0.3s;
            position: relative;
        }
        .schedule-table td a:hover {
            color: #ffcc00;
        }
        .schedule-table td a.master:hover::after {
            content: ' 🔍';
            color: #ffcc00;
            position: absolute;
            margin-left: 5px;
        }
        .schedule-table .rating {
            color: #ff9800;
        }
        .schedule-table .price {
            color: #28a745;
            font-weight: bold;
        }
        .schedule-table .button {
            padding: 10px 15px;
            display: inline-block;
            border-radius: 5px;
			color: black !important;
			text-transform: uppercase;

    -webkit-font-smoothing: antialiased;
    --zoom: 1;
    visibility: visible;
    text-align: center;
    box-sizing: content-box;
    margin: 0;
    border: 0;
    vertical-align: middle;
    text-decoration: none;
    outline: none;
    font-family: 'Montserrat',Arial,sans-serif;
    font-weight: 600;
    background-image: linear-gradient(180deg,rgba(255,245,168,1) 0%,rgba(199,154,72,1) 100%);
    border-color: transparent;
    border-style: solid;
    transition: background-color 0.2s ease-in-out,color 0.2s ease-in-out,border-color 0.2s ease-in-out;



        }
        .schedule-table .button:hover {
            background: linear-gradient(135deg, #ffcc00 0%, #b5904d 100%);
        }
    </style>

    <div class="schedule-container">
        <h2 style="text-align: center; color: #333; padding: 10px 0 20px 0;">Расписание предстоящих игр</h2>
        <table class="schedule-table">
            <thead>
                <tr>
                    <th>Город или OnLine</th>
                    <th>Дата и время</th>
                    <th>Мастер игры</th>
                    <th>Рейтинг Мастера</th>
                    <th>Стоимость</th>
                    <th>Действие</th>
                </tr>
            </thead>
            <tbody>
                <tr attr-city="Москва">
                    <td>Москва</td>
                    <td>10 октября, 18:00</td>
                    <td><a href="#" class="master" title="Подробнее о мастере и отзывы">Иван Иванов</a></td>
                    <td class="rating">★★★★☆ (4.5)</td>
                    <td class="price">15,000 руб.</td>
                    <td><a href="#" class="button">Записаться</a></td>
                </tr>
                <tr attr-city="Санкт-Петербург">
                    <td>Санкт-Петербург</td>
                    <td>12 октября, 19:00</td>
                    <td><a href="#" class="master" title="Подробнее о мастере и отзывы">Анна Смирнова</a></td>
                    <td class="rating">★★★★★ (5.0)</td>
                    <td class="price">15,000 руб.</td>
                    <td><a href="#" class="button">Записаться</a></td>
                </tr>
                <tr attr-city="Москва">
                    <td>Москва</td>
                    <td>14 октября, 18:00</td>
                    <td><a href="#" class="master" title="Подробнее о мастере и отзывы">Дмитрий Дмитриев</a></td>
                    <td class="rating">★★★★☆ (4.5)</td>
                    <td class="price">15,000 руб.</td>
                    <td><a href="#" class="button">Записаться</a></td>
                </tr>
                <!-- Добавьте еще строк для остальных игр -->
            </tbody>
        </table>
    </div>

