// Инициализация иконок
feather.replace();

// Мобильное меню
$('#menuToggle').on('click', function() {
    $('#sidebar').toggleClass('active');
});

// Закрытие меню при клике вне его на мобильных
$(document).on('click', function(event) {
    if (window.innerWidth <= 768) {
        if (!$(event.target).closest('#sidebar, #menuToggle').length) {
            $('#sidebar').removeClass('active');
        }
    }
});

// Переключение темы
$('#themeToggle').on('click', function() {
    const $body = $('body');
    const $icon = $(this).find('i');
    
    if ($body.attr('data-theme') === 'light') {
        $body.removeAttr('data-theme');
        $icon.attr('data-feather', 'sun');
    } else {
        $body.attr('data-theme', 'light');
        $icon.attr('data-feather', 'moon');
    }
    
    feather.replace();
});

// Обработка изменения размера окна
$(window).on('resize', function() {
    if (window.innerWidth > 768) {
        $('#sidebar').removeClass('active');
    }
});

// Функции для отображения отзывов
function showReviews() {
    alert('Здесь будут показаны отзывы о пользователе');
}

function showGameReviews(gameId) {
    alert('Здесь будут показаны отзывы об игре ' + gameId);
}

// Повторная инициализация иконок после загрузки DOM
$(document).ready(function() {
    feather.replace();
});