<?php
    $master_data = get_master_data();
    $pay_url = $master_data['pay_url'];
    $reg_info = $master_data['reg_info'];
?>
<div style="padding: 2rem;">
    <div style="background-color: var(--bg-secondary); border-radius: 8px; border: 1px solid var(--border-color);">
        <div style="padding: 1.5rem; border-bottom: 1px solid var(--border-color);">
            <h3 style="font-size: 1.125rem; font-weight: 600; color: var(--accent);">Настройки игр</h3>
        </div>
        <div style="overflow-x: auto;">
            <div class="settings-container">
                <div class="settings-section" style="padding: 1.5rem;">
                    <form class="ajaxJS" id="general-settings-form">
                        <input type="hidden" name="action" value="save_game_settings">
                        <div class="form-group">
                            <label for="pay_url">Ссылка на оплату</label>
                            <input type="text" id="pay_url" class="auto-save" name="pay_url" value="<?=$pay_url?>">
                            <div class="hint">Ссылка на оплату для игроков. По умолчанию ссылка на профиль мастера в ТГ.<br />
                            Рекомендуем использовать платежный сервис <a href="https://prodamus.ru" target="_blank">PRODAMUS</a> для автоматической оплаты</div>
                        </div>
                        <div class="form-group">
                            <label for="reg_info">Сообщение при регистрации</label>
                            <textarea id="reg_info" class="auto-save" name="reg_info"><?=$reg_info?></textarea>
                            <div class="hint">Это сообщение будет отправлено игроку при регистрации. Например, можно пригласить в свой ТГ-канал или в группу.</div>
                        </div>
                        <button class="btn btn-primary">Сохранить</button>
                        <span id="save_settings_status"></span>
                        </form>
                </div>
            </div>
        </div>
    </div>
</div>
 
