<div class="error-page">
    <style>
        .error-page {
            min-height: 100vh;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            text-align: center;
            font-family: 'Montserrat', sans-serif;
            background: linear-gradient(135deg,rgb(0, 0, 0) 0%,rgb(62, 62, 62) 100%);
            padding: 20px;
        }

        .error-code {
            font-size: 120px;
            font-weight: 800;
            color: #ff6b00;
            margin: 0;
            text-shadow: 2px 2px 4px rgba(0,0,0,0.1);
        }

        .error-message {
            font-size: 24px;
            color: #ff8f00;
            margin: 20px 0;
        }

        .error-description {
            font-size: 18px;
            color: #ffa726;
            max-width: 600px;
            margin: 0 auto 30px;
        }

        .home-button {
            padding: 15px 30px;
            font-size: 16px;
            color: white;
            background: #ff6b00;
            border: none;
            border-radius: 25px;
            cursor: pointer;
            text-decoration: none;
            transition: all 0.3s ease;
            box-shadow: 0 4px 15px rgba(255, 107, 0, 0.3);
        }

        .home-button:hover {
            background: #ff8f00;
            transform: translateY(-2px);
            box-shadow: 0 6px 20px rgba(255, 107, 0, 0.4);
        }

        @media (max-width: 768px) {
            .error-code {
                font-size: 80px;
            }
            
            .error-message {
                font-size: 20px;
            }

            .error-description {
                font-size: 16px;
                padding: 0 20px;
            }
        }
    </style>

    <h1 class="error-code">404</h1>
    <h2 class="error-message">Страница не найдена</h2>
    <p class="error-description">К сожалению, запрашиваемая вами страница не существует или была перемещена. Попробуйте проверить URL или вернитесь на главную страницу.</p>
    <a href="/" class="home-button">Вернуться на главную</a>
</div>
