<?php

// Выход
if (isset($_GET['logout']) AND $_GET['logout']) {
	//unset ($GLOBALS);
	unset ($_SESSION["tg_user"]);
	unset ($_SESSION["ses_id"]);
	setcookie('tg_user', '');
	header('Location: /master.php');
}




// Если нет сессии, то создаем её    
if (!isset($_SESSION['ses_id'])) $_SESSION['ses_id'] = md5(microtime(true));

// Смотрим назначена ли кому то это сессия
$ses_id=sqli("SELECT * FROM tg_users WHERE ses_id='".$_SESSION['ses_id']."' LIMIT 1");
if (count($ses_id)==1) {
    $_SESSION["tg_user"]=$ses_id[0];

} else {

    

	echo str_replace('{ses_id}', auth_encrypt($_SESSION['ses_id']), file_get_contents('templates/auth.tpl'));
	
    exit;
}

$GLOBALS['user'] = $_SESSION["tg_user"];

if (file_exists('images/userpic/'.$GLOBALS['user']['chat_id'].'.jpg')) {
    $user_pic = 'https://igra-monetizator.ru/images/userpic/'.$GLOBALS['user']['chat_id'].'.jpg';
} else {
    $user_pic = 'https://igra-monetizator.ru/images/logo300px.png';
}

if (!isset($_GET['par1'])) $_GET['par1'] = 'dashboard';

?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Монетизатор - Панель управления</title>
    <meta name="description" content="Панель управления для мониторинга и управления монетизацией игр">
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="/system/styles.css">
    <script src="https://unpkg.com/feather-icons"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> 
    <base href="/">

</head>
<body>
    <button class="menu-toggle" id="menuToggle">
        <i data-feather="menu"></i>
    </button>

    <aside class="sidebar" id="sidebar">
        <h1>МОНЕТИЗАТОР</h1> 
        <nav>
            <a href="/master/dashboard" class="nav-item <?=($_GET['par1']=='dashboard') ? ' active' : ''?>">
                <i data-feather="bar-chart-2"></i> 
                Дашборд
            </a>
            <a href="/master/users" class="nav-item <?=($_GET['par1']=='users') ? ' active' : ''?>">
                <i data-feather="users"></i> 
                Пользователи
            </a>
            <a href="/master/games" class="nav-item <?=($_GET['par1']=='games') ? ' active' : ''?>">
                <i data-feather="package"></i>  
                Игры
            </a>
            <a href="/master/profile" class="nav-item <?=($_GET['par1']=='profile') ? ' active' : ''?>">
                <i data-feather="user"></i>
                Профиль
            </a>
            <a href="/master/reviews" class="nav-item <?=($_GET['par1']=='reviews') ? ' active' : ''?>">
                <i data-feather="message-square"></i> 
                Отзывы
            </a>
            <a href="/master/settings" class="nav-item <?=($_GET['par1']=='settings') ? ' active' : ''?>">
                <i data-feather="settings"></i>
                Настройки
            </a>
            <br />
            <a href="?logout=1" class="nav-item">
                <i data-feather="log-out"></i>
                Выход
            </a>
        </nav>
    </aside>

    <main class="main-content">
        <header class="header">
            <div class="header-content">
                <div class="user-info">
                    <img src="<?=$user_pic?>" alt="Аватар пользователя">
                    <div>
                        <div class="user-name"><?=$_SESSION["tg_user"]['fio']?></div>
                        <div class="user-role">Мастер игры</div>
                    </div>
                </div>
                <div class="header-actions">
                    <button class="add-game-btn">
                        <i data-feather="plus-circle"></i>
                        Добавить игру
                    </button>
                    <button class="theme-toggle" id="themeToggle">
                        <i data-feather="sun"></i>
                    </button>
                </div>
            </div>
        </header>

        <?php
            if (!isset($_GET['par1'])) $run = 'master_pages/dashboard.php';
            else $run = 'master_pages/'.$_GET['par1'].'.php';
            if (!file_exists($run)) $run = 'pages/404.php';
            include($run);
        ?>
    </main>

    <?
        //deb($GLOBALS['modal_game_data']);
        game_modal();
        
    ?>

  <!-- Модальное окно для деталей игры -->
  <div id="gameDetailsModal" class="modal">
        <div class="modal-content">
            
        </div>
    </div>

    <!-- Модальное окно для деталей игрока -->
    <div id="playerDetailsModal" class="modal">
        <div class="modal-content">
            <?
            include('master_modules/player_details.php');
            ?>
        </div>
    </div>

    <script src="system/script.js"></script>
</body>
</html>