<div style="background-color: var(--bg-secondary); border-radius: 8px; border: 1px solid var(--border-color);">
                <div style="padding: 1.5rem; border-bottom: 1px solid var(--border-color);">
                    <h3 style="font-size: 1.125rem; font-weight: 600; color: var(--accent);">Последние игры</h3>
                </div>
                <div style="overflow-x: auto;">
                    <table style="width: 100%; border-collapse: collapse;">
                        <thead>
                            <tr style="background-color: var(--bg-primary);">
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Город</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Дата игры</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Игроки</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Зрители</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Доход</th>
                                <th style="text-align: left; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Статус</th>
                                <th style="text-align: center; padding: 1rem; font-size: 0.75rem; text-transform: uppercase; color: var(--accent);">Действие</th>
                            </tr>
                        </thead>
                        <tbody>

                            <?php
                            if (isset($GLOBALS['dashboard']['last_games']) AND count($GLOBALS['dashboard']['last_games']) > 0) 
                                $last_games = $GLOBALS['dashboard']['last_games'];
                            else {
                                $games = sqli("SELECT * FROM tg_events WHERE prefix='mntz' AND author_id='".$GLOBALS['user']['chat_id']."' AND blocked=0 ORDER BY `datetime` DESC ");
                                $last_games = array();
                                foreach($games as $game) {
                                    $last_games[] = $game;
                                }
                            }

                            foreach($last_games as $game) {

                                $game_data = unserialize($game['data']);

                                $players = sqli("SELECT * FROM tg_user2event WHERE event_id='".$game['id']."' ");
                                $players_num = 0;
                                $spectators_num = 0;
                                $players_paid_num = 0;
                                $spectators_paid_num = 0;
                                $revenue = 0;
                                foreach($players as $player) {
                                    if ($player['role']=='player') $players_num++;
                                    if ($player['role']=='spectator') $spectators_num++;
                                    if ((int)$player['paid']>0) $revenue += (int)$player['paid'];
                                    if ((int)$player['paid']>0) $players_paid_num++;
                                    if ((int)$player['paid']>0) $spectators_paid_num++;
                                }

                                // Смотрим отзывы
                                if ($game_data['status']=='Завершена') {
                                    $reviews = sqli("SELECT count(id) as num FROM tg_reviews WHERE prefix='mntz' AND subject='event_id' AND subject_id='".$game['id']."'");
                                    $reviews_num = $reviews[0]['num'];
                                } else {
                                    $reviews_num = 0;
                                }
                                
                                $td_color = 'var(--text-primary)';
                                if (strtotime($game['datetime']) < time()) $td_color = 'var(--text-secondary)';

                                $game_status = $game_data['status'];
                                ?>
                                <tr style="border-top: 1px solid var(--border-color); transition: background-color 0.2s;">
                                    <td style="padding: 1rem; color: <?=$td_color?>;"><?=$game['location']?></td>
                                    <td style="padding: 1rem; color: <?=$td_color?>;"><?= translate_week_and_month(date('j F Y\г\. \в H:i', strtotime($game['datetime'])),2) ?></td>
                                    <td style="padding: 1rem; color: <?=$td_color?>;">
                                        <span style="color: var(--accent);" title="Количество игроков"><?=$players_num?></span>
                                        <span style="color: var(--text-green);" title="Количество оплативших игроков">(<?=$players_paid_num?>)</span>
                                        <span style="color: var(--text-secondary);">/</span>
                                        <span style="color: var(--text-secondary);" title="Максимальное количество игроков"><?=$game_data['max_players']?></span>
                                    </td>
                                    <td style="padding: 1rem;">
                                        <span style="color: var(--accent);" title="Количество зрителей"><?=$spectators_num?></span>
                                        <span style="color: var(--text-green);" title="Количество оплативших зрителей">(<?=$spectators_paid_num?>)</span>
                                        <span style="color: var(--text-secondary);">/</span>
                                        <span style="color: var(--text-secondary);" title="Максимальное количество зрителей"><?=$game_data['max_spectators']?></span>
                                    </td>
                                    <td style="padding: 1rem;">₽<?=number_format((int)$revenue, 0, '', ',')?></td>
                                    <td style="padding: 1rem;">
                                        <div style="display: flex; flex-direction: column; gap: 0.5rem; align-items: flex-start;">
                                            <span class="status-badge <?=$GLOBALS['game_status_css'][$game_data['status']]?>"><?=$game_data['status']?></span>
                                            <?php if ($game_data['status']=='Завершена') { ?>
                                                <button onclick="showGameReviews(1)" class="review-button">
                                                    отзывы
                                                    <span class="review-count"><?=$reviews_num?></span>
                                                </button>
                                            <?php } ?>
                                        </div>
                                    </td>
                                    <td class="dropdown-container">
                                        <button class="detail-btn" data-game-id="<?=$game['id']?>">ПОДРОБНО</button>
                                        
                                        <div class="dropdown" title="Ссылка для регистрации"> 
                                            <a href="#" class="" onclick="toggleDropdown(this); return false;" style="background: transparent; color: var(--accent);">
                                                <i data-feather="link"></i>
                                            </a>
                                            <div class="dropdown-content">
                                                <a href="#" onclick="copyRegistrationLink(this, '<?=$game['alias']?>', 'player'); return false;">
                                                    Скопировать ссылку для игрока
                                                </a>
                                                <a href="#" onclick="copyRegistrationLink(this, '<?=$game['alias']?>', 'spectator'); return false;">
                                                    Скопировать ссылку для зрителя
                                                </a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <?php
                            }
                            ?>
                           
                        </tbody>
                    </table>
                </div>
            </div>