
<div class="modal-header">
    <h2>Профиль игрока</h2>
    <button class="close-btn" onclick="closePlayerDetails()">
        <i data-feather="x"></i>
    </button>
</div>

<div class="modal-content">
    <div class="tabs">
        <button class="tab-btn active" onclick="switchTab(event, 'info')">Информация</button>
        <button class="tab-btn" onclick="switchTab(event, 'games')">История игр</button>
        <button class="tab-btn" onclick="switchTab(event, 'reviews')">Отзывы</button>
    </div>

    <div id="info" class="tab-content active">
        <div class="player-header">
            <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?fit=crop&w=400&h=400" alt="Фото игрока" class="player-big-avatar">
            <div class="player-main-info">
                <h2 class="player-fio"><strong>Дмитрий Волков</strong></h2>
                <div class="info-details">
                    <div class="player-city">
                        <i data-feather="map-pin"></i>
                        <span class="city-name">Москва, м. Сокольники</span>
                    </div>
                    <div class="player-rating">
                        <div class="rating-stars">★★★★★</div>
                        <span class="rating-count">28 отзывов</span>
                    </div>
                </div>
            </div>
        </div> 

        <div class="info-section">
            <div class="section-title">
                <i data-feather="user"></i>
                <h3>О себе</h3>
            </div>
            <p style="line-height: 1.6; color: var(--text-primary);">
                Увлекаюсь настольными играми более 5 лет. Люблю стратегии и ролевые игры. 
                Ценю командную работу и всегда готов помочь новичкам освоиться. 
                В свободное время занимаюсь организацией игровых встреч и турниров.
            </p>
            <div style="margin-top: 1rem;">
                <span class="badge badge-success">Опытный игрок</span>
            </div>
        </div>

        <div class="info-section">
            <div class="section-title">
                <i data-feather="phone"></i>
                <h3>Контакты игрока</h3>
            </div>
            <div class="contact-grid">
                <div class="contact-item">
                    <i data-feather="phone"></i>
                    <a href="tel:+79165557788" class="player-phone">+7 (916) 555-77-88</a>
                </div>
                <div class="contact-item">
                    <i data-feather="send"></i>
                    <a href="https://t.me/dmitry_volkov" class="player-telegram" target="_blank">@dmitry_volkov</a>
                </div>
                <div class="contact-item">
                    <i data-feather="message-circle"></i>
                    <a href="https://wa.me/79165557788" class="player-whatsapp" target="_blank">WhatsApp</a>
                </div>
                <div class="contact-item">
                    <i data-feather="instagram"></i>
                    <a href="https://instagram.com/dmitry.games" target="_blank">@dmitry.games</a>
                </div>
            </div>
        </div>

        <div class="info-section">
            <div class="section-title">
                <i data-feather="bar-chart-2"></i>
                <h3>Статистика игрока</h3>
            </div>
            <div class="stats-grid">
                <div class="stat-item">
                    <div class="stat-label">Количество игр</div>
                    <div class="stat-value games-count">42</div>
                </div>
                <div class="stat-item">
                    <div class="stat-label">Средний рейтинг</div>
                    <div class="stat-value average-rating">4.9</div>
                </div>
                <div class="stat-item">
                    <div class="stat-label">Отзывов</div>
                    <div class="stat-value reviews-count">28</div>
                </div>
                <div class="stat-item">
                    <div class="stat-label">Лучший игрок</div>
                    <div class="stat-value best-player"><i data-feather="award"></i></div>
                </div>
            </div>
        </div>
    </div>

    <div id="games" class="tab-content">
        <div class="games-list">
            <div class="game-item">
                <div class="game-master-avatar">
                    <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e" alt="Александр Петров">
                </div>
                <div class="game-content">
                    <div class="game-header">
                        <div class="game-info">
                            <div class="game-date">24.03.2024</div>
                            <div class="game-master">Мастер: Александр Петров</div>
                            <div class="game-city">Москва</div>
                        </div>
                        <div class="game-rating">★★★★★</div>
                    </div>
                    <div class="game-details">
                        <div class="detail-row">
                            <span class="detail-label">Роль:</span>
                            <span class="detail-value">Игрок</span>
                        </div>
                        <div class="detail-row">
                            <span class="detail-label">Стоимость:</span>
                            <span class="detail-value">2500₽</span>
                        </div>
                    </div>
                </div>
            </div>

            <div class="game-item">
                <div class="game-master-avatar">
                    <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330" alt="Елена Соколова">
                </div>
                <div class="game-content">
                    <div class="game-header">
                        <div class="game-info">
                            <div class="game-date">20.03.2024</div>
                            <div class="game-master">Мастер: Елена Соколова</div>
                            <div class="game-city">Санкт-Петербург</div>
                        </div>
                        <div class="game-rating">★★★★☆</div>
                    </div>
                    <div class="game-details">
                        <div class="detail-row">
                            <span class="detail-label">Роль:</span>
                            <span class="detail-value">Зритель</span>
                        </div>
                        <div class="detail-row">
                            <span class="detail-label">Стоимость:</span>
                            <span class="detail-value">1000₽</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="reviews" class="tab-content">
        <div class="reviews-list">
            <div class="review-item-player">
                <div class="review-header">
                    <img src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e" alt="Александр Петров" class="reviewer-avatar">
                    <div class="reviewer-info">
                        <div class="reviewer-name">Александр Петров</div>
                        <div class="reviewer-role">Мастер игры</div>
                        <div class="review-date">15.03.2024</div>
                    </div>
                    <div class="rating-stars">★★★★★</div>
                </div>
                <div class="review-text">
                    Отличный игрок, всегда вовлечен в процесс и создает позитивную атмосферу в команде.
                </div>
            </div>

            <div class="review-item-player">
                <div class="review-header">
                    <img src="https://images.unsplash.com/photo-1494790108377-be9c29b29330" alt="Елена Соколова" class="reviewer-avatar">
                    <div class="reviewer-info">
                        <div class="reviewer-name">Елена Соколова</div>
                        <div class="reviewer-role">Мастер игры</div>
                        <div class="review-date">10.03.2024</div>
                    </div>
                    <div class="rating-stars">★★★★☆</div>
                </div>
                <div class="review-text">
                    Хороший командный игрок, активно участвует в обсуждениях и помогает другим.
                </div>
            </div>
        </div>
    </div>
</div>
