<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Расписание игр</title>
    

<style>
.schedule-block {
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 10px;
    margin: 20px 0;
}

.schedule-block h2 {
    font-size: 24px;
    color: #333;
    margin-bottom: 20px;
}

table {
    width: 100%;
    border-collapse: collapse;
}

th, td {
    padding: 10px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

th {
    background-color: #333;
    color: #fff;
}

.master-name {
    color: #007BFF;
    text-decoration: none;
    transition: color 0.3s ease;
}

.master-name:hover {
    color: #0056b3;
    text-decoration: underline;
}

.sign-up-btn {
    background-color: #007BFF;
    color: #fff;
    border: none;
    padding: 8px 16px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.sign-up-btn:hover {
    background-color: #0056b3;
}
</style>
</head>
<body>

<div class="schedule-block">
    <h2>Расписание игр</h2>
    <table>
        <thead>
            <tr>
                <th>Город</th>
                <th>Дата и время</th>
                <th>Мастер игры</th>
                <th>Рейтинг</th>
                <th>Стоимость</th>
                <th>Действие</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Москва</td>
                <td>15.10.2023, 18:00</td>
                <td><a href="#" class="master-name">Иван Иванов</a> ★★★★☆</td>
                <td>15 000 ₽</td>
                <td><button class="sign-up-btn">Записаться</button></td>
            </tr>
            <tr>
                <td>Санкт-Петербург</td>
                <td>20.10.2023, 19:00</td>
                <td><a href="#" class="master-name">Анна Петрова</a> ★★★★★</td>
                <td>15 000 ₽</td>
                <td><button class="sign-up-btn">Записаться</button></td>
            </tr>
            <!-- Добавьте остальные строки -->
        </tbody>
    </table>
</div>
</body>
</html>

