<?php
/*
ini_set('display_errors', '1');
ini_set('display_startup_errors', '1');
error_reporting(E_ALL);
*/

function tglog($txt){    
	//if (said())
		file_put_contents('buffer.txt',"\n".date('H:m:i').' > '.$txt,FILE_APPEND | LOCK_EX);   
}

function sqli($query, $link=NULL) {    /* Выполняем SQL-запрос */
    $prfl = profiler_start('SQL: '.$query, '#ffa600');
    
    global $db_link;
    
    // Проверяем соединение с базой данных
    if (isset($link)) {
        $l = $link;
    } else {
        if (!isset($db_link) || !$db_link) {
            // Попытка установить соединение, если его нет
            $db_link = mysqli_connect(DB_HOST, DB_USER, DB_PASS, DB_NAME);
            if (!$db_link) {
                die("Connection failed: " . mysqli_connect_error());
            }
        }
        $l = $db_link;
    }
    
    $result = mysqli_query($l, $query) or tglog("Query failed : " . $query . ' Error:' . mysqli_error($l));
    
    $res = array();
    if ($result) {
        while ($line = mysqli_fetch_assoc($result)) {
            $res[] = $line;
        }
        mysqli_free_result($result);
    }
    
    profiler_stop($prfl);
    return $res;
}

function todbi($table, $data, $where=NULL, $link=NULL) {    /* Выполняем SQL-запрос */
    global $db_link;
    if (!is_null($link)) {
        $l = $link;
    } else {
        $l = $db_link;
    }

    // Исправляем установку кодировки
    mysqli_set_charset($l, "utf8mb4"); // было utf8

    foreach ($data as $key => $val) {
        $data[$key] = mysqli_escape_string($l, $val);
        tglog($key.' ==> '.$val);
    }
    foreach ($data as $key => $val) {
        tglog($key.' ====> '.$val);
    }

    if ($where != NULL && trim($where) != '') {
        foreach ($data as $key => $val) {
            $set_arr[] = " `$key`='$val'";
        }
        $set = implode(',', $set_arr);
        $query = "UPDATE $table SET $set WHERE $where";
    } else {
        $fields = '`'.implode('`,`', array_keys($data)).'`';
        $datas = "'".implode("','", array_values($data))."'";
        $query = "INSERT INTO $table ($fields) VALUES ($datas)";
    }
    
    tglog('$query: '.$query);
    $GLOBALS['SQL']['LAST_UPDATE'] = $query;
    $prfl = profiler_start('ToDB: '.$query, '#fe4101');
    $q = "<hr>$query<hr>";
    
    // Устанавливаем кодировку для соединения
    mysqli_query($l, "SET NAMES 'utf8mb4'");
    mysqli_query($l, "SET CHARACTER SET 'utf8mb4'");
    mysqli_query($l, "SET character_set_client = utf8mb4");
    mysqli_query($l, "SET character_set_connection = utf8mb4");
    mysqli_query($l, "SET character_set_results = utf8mb4");
    mysqli_query($l, "SET collation_connection = utf8mb4_general_ci");

    $result = mysqli_query($l, $query);

    if (stristr($query, 'INSERT') === false) {
        $res = mysqli_affected_rows($l);
    } else {
        $res = mysqli_insert_id($l);
    }
    profiler_stop($prfl);

    return $res;
}

function profiler_start ($prf_task, $prf_color='#0093ff') {
	if (!isset($GLOBALS['profile']['start'])) {
		$GLOBALS['profile']['start'] = round(microtime(true),4);
		$GLOBALS['profile']['count'] = 0;
	}
	$GLOBALS['profile']['count']++;
	$prf_start = microtime(true);
	$GLOBALS['profile'][$GLOBALS['profile']['count']] = Array(
		'start' => round($prf_start-$GLOBALS['profile']['start'],4),
		'length' => 0,
		'task' => $prf_task,
		'color' => $prf_color
	);
	return $GLOBALS['profile']['count'];
}
function profiler_stop ($prf_start) {
	$length = round(microtime(true) - $GLOBALS['profile'][$prf_start]['start']-$GLOBALS['profile']['start'],4);
	$GLOBALS['profile'][$prf_start]['length'] = $length;
}
function profiler_out() {
	echo '<h3>Профайл</h3>';
	$profiler = $GLOBALS['profile'];
	//echo '<pre>'.var_export($profiler,1).'</pre>';
	$minwidth=2; //Минимальная ширина
	$index = 5; // коофициент увеличения
	$mw = 1;
	echo '<div style="position: relative;">';
	if (is_array($profiler))
		foreach($profiler as $line) {
			if (is_array($line)){
				$left = round($line['start']*$index+($minwidth*$mw));
				$length = round($line['length']*$index+$minwidth);
				echo '<div style="position: relative; height:18px; border-top:1px gray solid;width:100%; overflow:hide;">';
					echo '<div style="position: absolute; top:0; bottom:0; margin-left:'.$left.'px; width:'.$length.'px; background-color:'.$line['color'].'; " align="right"></div>';
					echo '<div style="position: absolute; top:0; bottom:0; left:10; padding-top:2px; font-size:10px; overflow:hidden;">'.$line['task'].' : '.$line['length'].'</div>';
				echo '</div>';
				$mw++;
			}
		}
	echo '</div>';
	echo '<hr />';
}

// Генератор HASHa
function gen_hash() {
	return md5(time().'-'.rand(1,99).'-'.rand(1,99).'-'.rand(1,99));
}

// Timestamp > DateTime и реверс
function ts2dt($t,$revers=0){
	if ($revers) {
		//$res = mysql_fetch_array(mysql_query("SELECT UNIX_TIMESTAMP ('".$t."')"));
		//return $res[0];
		$f = explode(' ',$t);
		if (count($f)==1) $t.= ' 00:00:00';
		preg_match('/(\d+)-(\d+)-(\d+) (\d+):(\d+):(\d+)/', $t, $a);
		$res = mktime ($a[4],$a[5],$a[6],$a[2],$a[3],$a[1]);
		//rt($t.' > '.var_export($a,1).' > '.$res.' > '.date('Y-m-d H:i:s',$res));
		return $res;
	}
	return date('Y-m-d H:i:s',$t);
}

/**
 * Функция возвращает окончание для множественного числа слова на основании числа и массива окончаний
 * param  $number Integer Число на основе которого нужно сформировать окончание
 * param  $endingsArray  Array Массив слов или окончаний для чисел (1, 4, 5),
 *         например array('яблоко', 'яблока', 'яблок')
 * return String
 */
function getNumEnding($number, $endingArray)
{
    $number = $number % 100;
    if ($number>=11 && $number<=19) {
        $ending=$endingArray[2];
    }
    else {
        $i = $number % 10;
        switch ($i)
        {
            case (1): $ending = $endingArray[0]; break;
            case (2):
            case (3):
            case (4): $ending = $endingArray[1]; break;
            default: $ending=$endingArray[2];
        }
    }
    return $ending;
}


function deb($var,$mode=2,$level=1) {
	if ($mode==1){echo '<br /><pre>'.var_export($var,1).'</pre><br />';}
	if ($mode==2){echo '<textarea style="width: 400px; height:300px; ">'.str_replace('area','[area]',var_export($var,1)).'</textarea>';}
	if ($mode==3){
		if (is_object($var)) {$var = get_class_vars(get_class($var));}
		if (is_array ($var)) {
			foreach ($var as $key => $val) {
			    if (is_array ($val)) {
			    	//$level++;
					echo "<span style='padding-left:".($level*50)."px;'> <b>[$key]:</b></span><br>";
					deb($val,3,$level+1);
			    } elseif (is_object ($val)) {
			    	echo "<span style='padding-left:".($level*50)."px;'> <b>[$key] <i>(object)</i></b>:</span><br>";
					deb(get_class_vars(get_class($val)),3,$level+1);
			    } else echo "<span style='padding-left:".($level*50)."px;'> [$key] => $val</span><br>";
			}
		} else echo "<span style='padding-left:".($level*50)."px;'>$var</span><br>";
	}
    
	if ($mode==4) {

		?>
		<style>
			.deb-table td{
				background-color:white; 
				margin:2px;
				padding:2px 4px;		
				font-size: 14px;
			}
		</style>
		<table class="deb-table">
		<?
			$first = true;
			$th=$td='';
			foreach ($var as $ind=>$line){
				if (is_array($line)){
					$th=$td='';
					foreach ($line as $key=>$val){
						if ($first){$th .= '<th>'.$key.'</th>';}
						$td .= '<td>'.$val.'</td>';
					}
					if ($first){?><tr><?=$th?></tr><?}
					?><tr><?=$td?></tr><?
					$first = false;	
				} else {
					$th .= '<th>'.$ind.'</th>';
					$td .= '<td>'.$line.'</td>';
				}
			}
			if ($first){
				?><tr><?=$th?></tr><?
				?><tr><?=$td?></tr><?
			}
			
		?></table><?
	
    }

}

//Вывод двумерного массива
function array_table($members,$order=false,$colors=false) {
	if ($order) $members=array_sort_by($members, $order);
	$th=true;
	$css_td = '';
	echo '<table>';
	if (is_array($members))
		foreach ($members as $id=>$member){
			if ($th){
				echo "<tr>";
				foreach ($member as $field=>$val){
					echo "<th>$field</th>";
				}
				echo "</tr>";
				$th = false;
			}
			echo "<tr>";
			foreach ($member as $field=>$val){
				$th = false;
				if (is_array($colors)){
					$css_td = '';
					foreach ($colors as $cond) {
						if ($cond[0]==$field AND $cond[1]==$val) $css_td=$cond[2];
					}
				}
				echo "<td style='$css_td'>$val</td>";
			}
			echo "</tr>";
		}
	echo '</table>';
}

function make_graph($arr,$title='График', $y_title='Значение', $x_title='Дата'){
	$rand_id = rand(0,100).'_'.rand(0,100);
	$d = '';
	foreach($arr as $key=>$val){
		$d .= "['$key', ".(int)$val.", '".(int)$val."'],\n";		
		
	}
	// <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
	?>
		<div id='chart_div<?=$rand_id?>' style='width: 100%; height: 100%;'></div>
		<script>
			google.charts.load('current', {'packages':['corechart']});
			google.charts.setOnLoadCallback(drawChart_<?=$rand_id?>);
			function drawChart_<?=$rand_id?>() {
				var data = new google.visualization.DataTable();
				data.addColumn('string', '<?=$x_title?>');
				data.addColumn('number', '<?=$y_title?>');
				data.addColumn({type: 'string', role: 'annotation'});
				data.addRows([
				<?=$d?>
				]);
				var chart = new google.visualization.LineChart(document.getElementById('chart_div<?=$rand_id?>'));
				var options = {
					displayAnnotations: true,
			            title: '<?=$title?>',
		            hAxis: {
		                title: '<?=$x_title?>',
		                minValue: 0,
		                textStyle: {
				            fontSize: 12 // Задаем размер шрифта подписей оси X
				        }
		            },
		            vAxis: {
		                title: '<?=$y_title?>',
		                textStyle: {
				            fontSize: 14 // Задаем размер шрифта подписей оси X
				        }
		            },
		             	annotations: {
		                alwaysOutside: true, // Аннотации всегда снаружи столбцов
		                textStyle: {
		                    fontSize: 12,
		                    auraColor: '#FFFFFF', // Убираем фон за аннотациями
		                    color: '#555'
		                },
		                highContrast: true, // Улучшенный контраст для лучшего видения
		            }

				};
				chart.draw(data, options);

			}
		</script> 
	<?
	return $rand_id;
}

function array_sort_by($array, $by) {
    $result = array();
    foreach ($array as $val) {
        if (!is_array($val) || !key_exists($by, $val)) {
            continue;
        }
        end($result);
        $current = current($result);
        while ($current[$by] > $val[$by]) {
            $result[key($result)+1] = $current;
            prev($result);
            $current = current($result);
        }
        $result[key($result)+1] = $val;
    }
    return $result;
}


function error_handler($errno, $errstr, $errfile, $errline)
{
    // если ошибка попадает в отчет (при использовании оператора "@" error_reporting() вернет 0)
    if (error_reporting() & $errno)
    {
        $errors = array(
            E_ERROR => 'E_ERROR',
            E_WARNING => 'E_WARNING',
            E_PARSE => 'E_PARSE',
            E_NOTICE => 'E_NOTICE',
            E_CORE_ERROR => 'E_CORE_ERROR',
            E_CORE_WARNING => 'E_CORE_WARNING',
            E_COMPILE_ERROR => 'E_COMPILE_ERROR',
            E_COMPILE_WARNING => 'E_COMPILE_WARNING',
            E_USER_ERROR => 'E_USER_ERROR',
            E_USER_WARNING => 'E_USER_WARNING',
            E_USER_NOTICE => 'E_USER_NOTICE',
            E_STRICT => 'E_STRICT',
            E_RECOVERABLE_ERROR => 'E_RECOVERABLE_ERROR',
            E_DEPRECATED => 'E_DEPRECATED',
            E_USER_DEPRECATED => 'E_USER_DEPRECATED',
        );

        // выводим свое сообщение об ошибке
        echo "<b>{$errors[$errno]}</b>[$errno] $errstr ($errfile на $errline строке)<br />\n";
    }

    // не запускаем внутренний обработчик ошибок PHP
    return TRUE;
}

/**
 * Функция перехвата фатальных ошибок
 */
function fatal_error_handler(){
	$sub = 'Есть ошибки';
    // если была ошибка и она фатальна
    if ($error = error_get_last() AND $error['type'] & ( E_ERROR | E_PARSE | E_COMPILE_ERROR | E_CORE_ERROR))
    {
        $sub = 'ФАТАЛЬНАЯ ОШИБКА';
        // очищаем буффер (не выводим стандартное сообщение об ошибке)
        ob_end_clean();
        // запускаем обработчик ошибок
        echo '<center>Что то пошло не так... Мы уже решаем эту проблему!<br />Вернитесь на предыдующую страницу и повторите попытку, если не получится - напишите в тех.поддержку.</center>';
        error_handler($error['type'], $error['message'], $error['file'], $error['line']);
    }
    else
    {
        // отправка (вывод) буфера и его отключение
        @ob_end_flush();
    }

 	if (count($GLOBALS['errors'])>0) send_mail('said@sferakino.ru',$sub,implode('<br>',$GLOBALS['errors']));
}

// Волшебная функция которая избавляет от гемороя при определении кодировок!
// Показывает все возможные варианты перекодировки в нужную кодировку $out_char_set
function find_charset ($text,$out_char_set='utf-8'){
	$codes="UCS-4
	UCS-4BE
	UCS-4LE
	UCS-2
	UCS-2BE
	UCS-2LE
	UTF-32
	UTF-32BE
	UTF-32LE
	UTF-16
	UTF-16BE
	UTF-16LE
	UTF-7
	UTF7-IMAP
	UTF-8
	ASCII
	EUC-JP
	SJIS
	eucJP-win
	SJIS-win
	ISO-2022-JP
	ISO-2022-JP-MS
	CP932
	CP51932
	SJIS-mac
	SJIS-Mobile#DOCOMO
	SJIS-Mobile#KDDI
	SJIS-Mobile#SOFTBANK
	UTF-8-Mobile#DOCOMO
	UTF-8-Mobile#KDDI-A
	UTF-8-Mobile#KDDI-B
	UTF-8-Mobile#SOFTBANK
	ISO-2022-JP-MOBILE#KDDI
	JIS
	JIS-ms
	CP50220
	CP50220raw
	CP50221
	CP50222
	ISO-8859-1
	ISO-8859-2
	ISO-8859-3
	ISO-8859-4
	ISO-8859-5
	ISO-8859-6
	ISO-8859-7
	ISO-8859-8
	ISO-8859-9
	ISO-8859-10
	ISO-8859-13
	ISO-8859-14
	ISO-8859-15
	ISO-8859-16
	byte2be
	byte2le
	byte4be
	byte4le
	BASE64
	HTML-ENTITIES
	7bit
	8bit
	EUC-CN
	CP936
	GB18030
	HZ
	EUC-TW
	CP950
	BIG-5
	EUC-KR
	UHC
	ISO-2022-KR
	Windows-1251
	Windows-1252
	CP866
	KOI8-R
	KOI8-U
	ArmSCII-8";
	$tab = explode("\n",$codes);
	echo '<table border=0>';
	foreach ($tab as $i){
		foreach ($tab as $ii){
			$out = @iconv(trim($ii),$out_char_set,@iconv(trim($i), trim($ii),$text));
			if (trim($out)!='')
				echo '<tr><td>'.trim($i).' > '.$ii.' </td><td bgcolor="#eeeeee"> '.$out.'</td></tr>';
		}
	}
	echo '</table>';
	die();
}


function get_files($dir, $only_files=0){
	$res = array();
	$files = scandir($dir);
	foreach ($files as $file) {
		if ($file!=='.' AND $file!='..') $res[]=$file;
	}
	return $res;
}

function br2nl($text){
	return str_ireplace(array('<br>','<br />'),"\n",$text);
}

// Создание ключа текста
function post_key_gen($text) {
	$martix = str_split_unicode('qwertyuiopasdfghjklzxcvbnmйцукенгшщзхъэждлорпавыфячсмитьбю');
	$text_arr = str_split_unicode(mb_strtolower (strip_tags($text)));
	$key = '';
	$do = true;
	foreach ($text_arr as $sym) {
		if ($do AND in_array($sym,$martix)) $key.=$sym;
		$do = false;
		if (!in_array($sym,$martix)) $do = true;
	}
	return $key;
}


function debug($txt,$place='',$session=FALSE) {
	if (trim($txt)=='') return;
	$log = "";
	if ($txt=='start') {
		$log = "►".date('Y-m-d H:i:s')." ► ".$place."\n";
		if (!isset($GLOBALS['profiler']['log'])) $GLOBALS['profiler']['log'] = '';
		$GLOBALS['profiler']['log'] .= "\n".$place.' ► '.$txt;
		$GLOBALS['profiler']['run_session'] = gen_hash();
		$txt = '::::::::::::::::::::::::: СТАРТ :::::::::::::::::::::::::'."\n";
		$txt .= 'RUN STATUS '.$GLOBALS['profiler']['run_session'].': ERROR: NOT FINISH!';;
	} else if ($place!='') $log = ":: ".$place."\n";
	if (is_array($txt)) $txt = var_dump($txt,1);

	$session = TRUE; // странный параметр

	if ($session) {
		if (!isset($GLOBALS['log_ident']) OR (int)$GLOBALS['log_ident']<0) $GLOBALS['log_ident']=0;
		list($usec, $sec) = explode(" ", microtime());
		$time = date('H:i:s.').$usec;
		$mLog = str_repeat(" | ",(int)$GLOBALS['log_ident']).$time.' line:'.$txt;

		if (isset($_SESSION['user']['id']) AND $_SESSION['user']['id']>0){
			if (!isset($GLOBALS['debug_file']) OR trim($GLOBALS['debug_file'])=='') $GLOBALS['debug_file'] = date("H-i-s").'|'.(int)$_SESSION['user']['id'];
			file_force_contents('log/mlogs/'.date("Y-m-d").'/');
			file_put_contents('log/mlogs/'.date("Y-m-d").'/'.$GLOBALS['debug_file'].'.txt',$mLog."\n",FILE_APPEND);
		}
	}
}


function generate_promocode($length=6){
	$matrix=str_split('12456789QWRYSDFGJLZVN');
	shuffle($matrix);
	$word = implode('',$matrix);
	return substr($word,0,$length);
}

// Обратимое шифрование по ключу
function encrypt_decrypt($action, $string) {
    $output = false;
    $encrypt_method = "AES-256-CBC";
    $secret_key = 'sdfaукggae';
    $secret_iv = 'aer23grrg';
    // hash
    $key = hash('sha256', $secret_key);

    // iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
    $iv = substr(hash('sha256', $secret_iv), 0, 16);
    if ( $action == 'encrypt' ) {
        $output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
        $output = base64_encode($output);
    } else if( $action == 'decrypt' ) {
        $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
    }
    return $output;
}
function decode($str){
	return encrypt_decrypt('decrypt', $str);
}
function encode($str){
	return encrypt_decrypt('encrypt', $str);
}

// Триммирование эллементов массива
function trim_array($array) {
	if (isset($array) AND is_array($array))
		foreach($array as $key=>$ellement) {
			if (is_array($ellement)) $array[$key]=trim_array($ellement);
				else $array[$key]=trim($ellement);
		}
	return $array;
}


function send_mail($mail,$subject,$html,$attachments=null,$template='mail') { // Ставим в очередь на отправку (еще не реализовано)
	send_mail_now($mail,$subject,$html,$attachments,$template);
}

function send_mail_now($mail,$subject,$html,$attachments=null,$template='mail') { // Незамедлительная отправка писем с подключением шаблона
	if (trim($mail)!='') {
		$prfid = profiler_start ('SEND_MAIL: '.$mail.' ► '.$subject);
		$message = file_get_contents('dsfw/templates/'.$template.'.tpl');
		$message = str_replace('{date}', mb_strtolower (iconv('ISO-8859-5', 'utf-8',strftime('%A, %e %B %Y'))),$message);
		$message = str_replace('{text}', $html,$message);
		$hash = urlencode($mail).'|'.md5($mail.SOLD);
		$message = str_replace('{unsubscribe_hash}', $hash,$message);
		//echo $message;

		$res = mymail($mail,$subject,$message,$attachments);
		if (!$res) {
			$_SESSION['page']['errors'] []= 'ОШИБКА. Мы не смогли отправить вам письмо. Попробуйет еще раз, если ошибка повториться напишите нам об этом.';
		}
		//deb($res);
		profiler_stop ($prfid);
		return $res;
	}
}

function mymail($mailto,$subject,$body,$attachments=null,$mailfrom='mail@californinvest.com') { // Отправка любых писем

	$mailfrom='prokachka@dsfile.com';

	$mail = new PHPMailer;
	$mail->isSMTP();
	$mail->CharSet = 'utf-8';

	if (isset($_REQUEST['test']) AND $_REQUEST['test']==1) {
		$mail->SMTPDebug = 3;
	} else {
		$mail->SMTPDebug = 0;
	}

	$mail->Host = 'mail.exclusivehosting.net';
	$mail->Port = 465;
	$mail->SMTPSecure = 'ssl';
	//$mail->SMTPOptions = array( 'ssl' => array( 'verify_peer' => false, 'verify_peer_name' => false, 'allow_self_signed' => true ));
	$mail->SMTPAuth = true;
	$mail->Username = $mailfrom;
	$mail->Password = 'b251ukNUM#';
	if (is_array($mailto)){
		$mail->addAddress($mailto[0],$mailto[1]);
		$mail->addReplyTo($mailto[0],$mailto[1]);
	} else {
		$mail->addAddress($mailto);
		$mail->addReplyTo($mailto);
	}
	if (!is_null($attachments)){
		if (is_array($attachments)){
			foreach($attachments as $attachment) $mail->addAttachment($attachment);
		} else {
			$mail->addAttachment($attachments);
		}
	}
	$mail->isHTML(true);
	$mail->setFrom($mailfrom, 'Californium Invest');
	$mail->Subject = $subject;
	$mail->msgHTML($body);
	$res = $mail->send();
	if (!$res) {
		return $mail->ErrorInfo;
	} else {
		return $res;
	}


}

function tg($command,$params) {
	return tgsend($command,$params);
}
function smstg($chat_id,$message) {
	// Отправка сообщения в телеграм
/*
<b>bold</b>, <strong>bold</strong>
<i>italic</i>, <em>italic</em>
<u>underline</u>, <ins>underline</ins>
<s>strikethrough</s>, <strike>strikethrough</strike>, <del>strikethrough</del>
<span class="tg-spoiler">spoiler</span>, <tg-spoiler>spoiler</tg-spoiler>
<b>bold <i>italic bold <s>italic bold strikethrough <span class="tg-spoiler">italic bold strikethrough spoiler</span></s> <u>underline italic bold</u></i> bold</b>
<a href="http://www.example.com/">inline URL</a>
<a href="tg://user?id=123456789">inline mention of a user</a>
<code>inline fixed-width code</code>
<pre>pre-formatted fixed-width code block</pre>
<pre><code class="language-python">pre-formatted fixed-width code block written in the Python programming language</code></pre>
*/
	$params=array(
	  'chat_id'=>$chat_id, 
	  'text'=>$message,
	  'parse_mode'=>'html'
	);
	return tgsend('sendMessage',$params);
}
function mytg($chat_id,$message) {
	// Отправка сообщения в телеграм
	$params=array(
	  'chat_id'=>$chat_id, 
	  'text'=>$message,
	  'parse_mode'=>'html'
	);
	return tgsend('sendMessage',$params);
}
function saidtg($message) {
	// Отправка сообщения в телеграм Саиду
	$params=array(
	  'chat_id'=>SAID, 
	  'text'=>br2nl($message),
	  'parse_mode'=>'html'
	);
	return tgsend('sendMessage',$params);
}


// Проверка Email
function isValidEmail($email) {
    return filter_var($email, FILTER_VALIDATE_EMAIL)
        && preg_match('/@.+\./', $email);
}

//Стандартизируем телефон
function std_phone ($login){
	if (!isset($login) OR $login=='') return '';
	$login = preg_replace('/[\D]/', '', $login);
	if (substr($login,0,2)=='89') {
		$login = '7'.substr($login,1);
	}
	return (int)$login;
}




function file_force_contents($dir, $contents=NULL, $flag=NULL){
	$parts = explode('/', $dir);
	$file = array_pop($parts);
	if (!file_exists($dir)) {
	    $dir = '';
	    foreach($parts as $part)
	        if(!is_dir($dir .= "$part/")) {
	        	mkdir($dir);
			}
	}
	$dir = str_replace($file,'',$dir);
    if (isset($contents)) file_put_contents($dir.$file, $contents, $flag);
}


function downloadFile ($URL, $PATH) {
    $ReadFile = fopen ($URL, "rb");
    if ($ReadFile) {
        $WriteFile = fopen ($PATH, "W");
        if ($WriteFile){
            while(!feof($ReadFile)) {
                fwrite($WriteFile, fread($ReadFile, 4096 ));
            }
            fclose($WriteFile);
        }
        fclose($ReadFile);
    }
}


function translit($s) {
  $s = (string) $s; // преобразуем в строковое значение
  $s = strip_tags($s); // убираем HTML-теги
  $s = str_replace(array("\n", "\r"), " ", $s); // убираем перевод каретки
  $s = preg_replace("/\s+/", ' ', $s); // удаляем повторяющие пробелы
  $s = trim($s); // убираем пробелы в начале и конце строки
  $s = function_exists('mb_strtolower') ? mb_strtolower($s) : strtolower($s); // переводим строку в нижний регистр (иногда надо задать локаль)
  $s = strtr($s, array('а'=>'a','б'=>'b','в'=>'v','г'=>'g','д'=>'d','е'=>'e','ё'=>'e','ж'=>'j','з'=>'z','и'=>'i','й'=>'y','к'=>'k','л'=>'l','м'=>'m','н'=>'n','о'=>'o','п'=>'p','р'=>'r','с'=>'s','т'=>'t','у'=>'u','ф'=>'f','х'=>'h','ц'=>'c','ч'=>'ch','ш'=>'sh','щ'=>'shch','ы'=>'y','э'=>'e','ю'=>'yu','я'=>'ya','ъ'=>'','ь'=>''));
  $s = preg_replace("/[^0-9a-z-_. ]/i", "", $s); // очищаем строку от недопустимых символов
  $s = str_replace(" ", "-", $s); // заменяем пробелы знаком минус
  return $s; // возвращаем результат
}

// разбираем строку с хештегами на массив
function hashstring2array($str,$delimiter='#') {
	if (trim($str)!='') {
		$arr = explode($delimiter,$str);
		$tags = array();
		foreach ($arr as $val)
			if (trim($val)!='') $tags[]=trim($val);
		return $tags;
	} else return array();
}


// удаление папки и всего содержимого
function RDir( $path ) {
 if ( file_exists( $path ) AND is_dir( $path ) ) {
    $dir = opendir($path);
    while ( false !== ( $element = readdir( $dir ) ) ) {
      if ( $element != '.' AND $element != '..' )  {
        $tmp = $path . '/' . $element;
        chmod( $tmp, 0777 );
        if ( is_dir( $tmp ) ) {
         RDir( $tmp );
        } else {
          unlink( $tmp );
       }
     }
   }
    closedir($dir);
   if ( file_exists( $path ) ) {
     rmdir( $path );
   }
 }
}


function is_role($role) {
	if (!isset($_SESSION['user']['roles'])) return FALSE;
	if (strpos($role,',')!==FALSE) {
		$roles = explode(',',$role);
		$res = array_intersect($roles,$_SESSION['user']['roles']);
		if (count($res)>0) return TRUE;
			else return FALSE;
	} else return in_array($role,$_SESSION['user']['roles']);
	return false;
}

function div_msg($text) {
	echo ('$("body").append("<div class=\'div_msg shadow\'><div>'.$text.'<hr><center><a href=\'#\' class=\'waves-effect waves-light btn-small\' onclick=\'div_msg_close(); return false;\'>Закрыть</a></center></div></div>");'); ;
}



function money($sum,$mode=0,$dig=0) {
	$s = number_format($sum, $dig, '.', " ");
	//$s .= sign($mode,$sum);
	return $s;
}

function make_links ($text){
	$new_text = preg_replace("~(http|https|ftp|ftps)://(.*?)(\s|\n|[,.?!](\s|\n)|$)~", '<a href="$1://$2">$1://$2</a>$3', $text);
	return $new_text;
}

// определение мобильного устройства
/*
// пример использования
$is_mobile_device = check_mobile_device();
if($is_mobile_device){
    echo "Вы зашли с мобильного устройства";
}else{
    echo "Вы зашли с PC";
}
*/
function check_mobile_device() {
	if (isset($GLOBALS['is_mobile_device'])) return $GLOBALS['is_mobile_device'];
    $mobile_agent_array = array('ipad', 'iphone', 'android', 'pocket', 'palm', 'windows ce', 'windowsce', 'cellphone', 'opera mobi', 'ipod', 'small', 'sharp', 'sonyericsson', 'symbian', 'opera mini', 'nokia', 'htc_', 'samsung', 'motorola', 'smartphone', 'blackberry', 'playstation portable', 'tablet browser');
    $agent = strtolower($_SERVER['HTTP_USER_AGENT']);
    // var_dump($agent);exit;
    foreach ($mobile_agent_array as $value) {
        if (strpos($agent, $value) !== false) {
        	$GLOBALS['is_mobile_device'] = TRUE;
        	return true;
		}
    }
    $GLOBALS['is_mobile_device'] = FALSE;
    return false;
}

// ARRAY В ФОРМАТ INI-ФАЙЛА
function arr2ini(array $a, array $parent = array())
{
    $out = '';
    foreach ($a as $k => $v)
    {
        if (is_array($v))
        {
            //subsection case
            //merge all the sections into one array...
            $sec = array_merge((array) $parent, (array) $k);
            //add section information to the output
            $out .= '[' . join('.', $sec) . ']' . PHP_EOL;
            //recursively traverse deeper
            $out .= arr2ini($v, $sec);
        }
        else
        {
            //plain key->value case
            $out .= "$k=$v" . PHP_EOL;
        }
    }
    return $out;
}


function is_reg($text,$reg){ // Фильтрует и возвращает по регулярке. Пример: [a-z0-9_]
	$reg = str_replace('[','[^',$reg);
	return preg_replace("/$reg/", '',$text );
	//return $reg;
}

function pause($sec) {
	$hsec = $sec*10;
	for ($i=0;$i<$hsec;$i++) {
		usleep(100000);
	}
}

function link2player($link) {
	$link = trim(strip_tags($link));
	$player = '';

	//YOUTUBE
	$regxp = '/http(?:s?):\/\/(?:www\.)?youtu(?:be\.com\/watch\?v=|\.be\/)([\w\-\_]*)(&(amp;)?‌​[\w\?‌​=]*)?/';
	preg_match($regxp,$link,$matches);
	if (count($matches)>0) {
		$key = $matches[1];
		$player = '<iframe id="youtubeiframe60062335" src="https://www.youtube.com/embed/'.$key.'?rel=0&autoplay=0&showinfo=0&controls=1&HD=1&html5=1" frameborder="0" allow="encrypted-media" allowfullscreen="allowfullscreen"></iframe>';
		return $player;
	}

	//VIMEO
	$regxp = '/https?:\/\/(?:www\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|)(\d+)(?:$|\/|\?)/';
	preg_match($regxp,$link,$matches);
	//deb($link);
	//deb($matches);
	if (count($matches)>0) {
		$key = $matches[3];
		$player = '<iframe src="https://player.vimeo.com/video/'.$key.'?color=ED8374&title=0&byline=0&portrait=0&badge=0" frameborder="0" allow="fullscreen" allowfullscreen></iframe>';
		return $player;
	}

	//Вконтакте
	$regxp = '/video(-*\d+_\d+)/';
	preg_match($regxp,$link,$matches);
	//deb($link);
	//deb($matches);
	if (count($matches)>0) {
		$key = $matches[1];

		switch_accaunt (0);
		$res = Send_Post('video.get','videos='.$key);
		$link = $res['response']['items'][0]['player'];

		$player = '<iframe src="'.$link.'" frameborder="0" allowfullscreen></iframe>';
		return $player;
	}

}

/*
<iframe src="//vk.com/video_ext.php?oid=-31226503&id=456239324&hash=6ee952a7f7dd9702" width="100%" height="420" frameborder="0" allowfullscreen></iframe>
<iframe id="youtubeiframe60062335" width="100%" height="420" src="https://www.youtube.com/embed/CnWd1RGife8?rel=0&autoplay=1&showinfo=0&controls=1&HD=1&html5=1" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen="allowfullscreen" style="height: 540px;"></iframe>
<iframe width="100%" height="420" src="https://www.youtube.com/embed/sWIytEfCvBc?rel=0&autoplay=1&showinfo=0&controls=1&HD=1&html5=1" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
<iframe src="//vk.com/video_ext.php?oid=-31226503&id=456239354&hash=76e67166ec8d79f4" width="100%" height="420" frameborder="0" allowfullscreen></iframe>
*/


function user_ip(){
	$client  = @$_SERVER['HTTP_CLIENT_IP'];
	$forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
	$remote  = @$_SERVER['REMOTE_ADDR'];

	if(filter_var($client, FILTER_VALIDATE_IP)) $ip = $client;
	elseif(filter_var($forward, FILTER_VALIDATE_IP)) $ip = $forward;
	else $ip = $remote;

	return $ip;
}

// Вывод данных из процессора в формате JS
function js_out($script,$text=NULL){
	if (!is_array($script)) $script=array();
	if (isset($text) AND count($text)>0) {
		$script[]="$('#msg').show()";
		$script[]="$('#msg').html('".implode("<br />",$text)."')";
		debug("СООБЩЕНИЕ: ".implode("\n• ",$text),'',1);
	}
	$out='';

	if(count($script)) $out = implode('; ',$script).';';
	echo $out;
	//$_SESSION['run_js'] = $out;
	//header('Location: '.$_SESSION['actual_link']);
}
/*
function said($uid=1) {
	return (($_SESSION['user']['id']==$uid) OR ($_SESSION['user']['id']==-1) ) ;
}
*/



function is_serialized( $data ) {
    // if it isn't a string, it isn't serialized
    if ( !is_string( $data ) )
        return 0;
    $data = trim( $data );
    if ( 'N;' == $data )
        return 1;
    if ( !preg_match( '/^([adObis]):/', $data, $badions ) )
        return 0;
    switch ( $badions[1] ) {
        case 'a' :
        case 'O' :
        case 's' :
            if ( preg_match( "/^{$badions[1]}:[0-9]+:.*[;}]\$/s", $data ) )
                return 1;
            break;
        case 'b' :
        case 'i' :
        case 'd' :
            if ( preg_match( "/^{$badions[1]}:[0-9.E-]+;\$/", $data ) )
                return 1;
            break;
    }
    return 0;
}

function humain_date($date='')
{
	if(!strlen(trim($date))) $date=date('Y-m-d');

	// обрезаем часы и минуты, если они есть
	list($date,$time)=explode(' ',$date);
	$date_a=explode("-", $date);

	$year=$date_a[0];

	switch($date_a[1])
	{	case "01": $month="января"; break;
		case "02": $month="февраля"; break;
		case "03": $month="марта"; break;
		case "04": $month="апреля"; break;
		case "05": $month="мая"; break;
		case "06": $month="июня"; break;
		case "07": $month="июля"; break;
		case "08": $month="августа"; break;
		case "09": $month="сентября"; break;
		case "10": $month="октября"; break;
		case "11": $month="ноября"; break;
		case "12": $month="декабря"; break;
	}

	$day=intval($date_a[2]);

	# ПРОВЕРКА НА ПРАВИЛЬНОСТЬ ФОРМАТА
	if ((strlen($date_a[0])==4) && ($date_a[1]>=1) && ($date_a[1]<=12) && ($date_a[2]>=1)  && ($date_a[2]<=31))
	{ $date="{$day} {$month} {$year} {$time}"; } else { $date="(Ошибка генерации даты)"; }

	return $date;
}


function is_said(){
	return ($_SESSION['user']['id']==1);
}

//================================================================================

// Создаем массив текстов заданий
function get_tasks(){
	if (isset($GLOBALS['tasks'])) return $GLOBALS['tasks'];
	$doc = file_get_contents('data/tasks.txt');
	$parts = explode('<--->',$doc);
	$GLOBALS['tasks'] = array();
	foreach ($parts as $part) {
		$lines = explode("\n",trim($part));
		preg_match('/<task (.+)>/', $lines[0], $matches);
		if (isset($matches[1])) $GLOBALS['tasks'][$matches[1]] = trim(str_replace($lines[0],'',$part));
	}
	return $GLOBALS['tasks'];
}

function remove_emoji($string){
	// \xE2\xAD\x90
    // Match Enclosed Alphanumeric Supplement
    $regex_alphanumeric = '/[\x{1F100}-\x{1F1FF}]/u';
    $clear_string = preg_replace($regex_alphanumeric, '', $string);

    // Match Miscellaneous Symbols and Pictographs
    $regex_symbols = '/[\x{1F300}-\x{1F5FF}]/u';
    $clear_string = preg_replace($regex_symbols, '', $clear_string);

    // Match Emoticons
    $regex_emoticons = '/[\x{1F600}-\x{1F64F}]/u';
    $clear_string = preg_replace($regex_emoticons, '', $clear_string);

    // Match Transport And Map Symbols
    $regex_transport = '/[\x{1F680}-\x{1F6FF}]/u';
    $clear_string = preg_replace($regex_transport, '', $clear_string);
    
    // Match Supplemental Symbols and Pictographs
    $regex_supplemental = '/[\x{1F900}-\x{1F9FF}]/u';
    $clear_string = preg_replace($regex_supplemental, '', $clear_string);

    // Match Miscellaneous Symbols
    $regex_misc = '/[\x{2600}-\x{26FF}]/u';
    $clear_string = preg_replace($regex_misc, '', $clear_string);

    // Match Dingbats
    $regex_dingbats = '/[\x{2700}-\x{27BF}]/u';
    $clear_string = preg_replace($regex_dingbats, '', $clear_string);

    return trim($clear_string);
}


// Получение кредита в Тинькофф
/*
$data = array(
	'sum' 			=> 100,
	'title' 		=> '',
	'order_id' 		=> '',
	'last_name' 		=> '',
	'first_name' 	=> '',
	'middle_name' 	=> '',
	'phone' 		=> '',
	'email' 		=> '',
);
*/
function get_credit_tinkoff($data){
	$params = array(
	  "shopId" => TINKOFF_SHOPID,
	  "showcaseId" => TINKOFF_SHOWCASEID,
	  "sum" => $data['sum'],
	  "items" => array(
	    array (
	      "name"=>$data['title'],
	      "quantity"=>1,
	      "price"=>$data['sum'],
//	      "category"=>"mobile",
//	      "vendorCode"=>"12345",
	    )
	  ),
	  "orderNumber"=>$data['order_id'],
//	  "promoCode"=>"default",
//	  "demoFlow"=>"sms",
	  "values"=>array(
	    "contact"=>array(
	      "fio"=>array(
	        "lastName"=>$data['last_name'],
	        "firstName"=>$data['first_name'],
	        "middleName"=>$data['middle_name'],
	      ),
	      "mobilePhone"=>$data['phone'],
	      "email"=>$data['email'],
	    )
	  )
	);

	$url="https://forma.tinkoff.ru/api/partners/v2/orders/create";
	$ch = curl_init($url);
	curl_setopt($ch, CURLOPT_HEADER, false);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($params));
	curl_setopt( $ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	$result = curl_exec($ch);
	curl_close($ch);
	
	$res = json_decode($result,1); 
	//deb($res);
	
	if (isset($res['errors'])) {
		return mb_convert_encoding($res['errors'][0], "windows-1251", "utf-8");
	}
	
	return array('id'=>$res['id'],'link'=>$res['link']); 
	

}


function razbor_fio($fio){
	if (trim($fio)=='') return array('name'=>'Друг','surname'=>'','middlename'=>'');
	$parts = explode(' ',$fio);
	if (count($parts)==0) return array('name'=>'Друг','surname'=>'','middlename'=>'');
	if (count($parts)==1) return array('name'=>$parts[0],'surname'=>'','middlename'=>'');
	if (count($parts)==2) return array('name'=>$parts[0],'surname'=>$parts[1],'middlename'=>'');
	if (count($parts)==3) return array('surname'=>$parts[0],'name'=>$parts[1],'middlename'=>$parts[2]);
	return array('name'=>$fio,'surname'=>'','middlename'=>'');
}



function tg_sender($data,$chat_id=NULL){
	if (!isset($chat_id)) {
		if (isset($GLOBALS['chat_id'])) $chat_id = $GLOBALS['chat_id']; else return;
	}
	if ((int)$chat_id==0) return;

	// Если есть медиа - отправляем их
	if (isset($data['attachments']) AND is_array($data['attachments']) AND count($data['attachments'])>0) {
		foreach ($data['attachments'] as $attachment){
			list($mediaType,$fileId) = explode(':',$attachment);
			$response = sendMediaByFileId($fileId, $mediaType, $chat_id);
			$res = json_decode($response, true);
			if (!isset($res['ok']) OR ($res['ok']!=TRUE)) {
				tg_sender_log("ОШИБКА РАССЫЛКИ > > > > > > > > > > > ".$res['error_code'].': '.$res['description']);
				return $res; 
			}
		}	
	}	

	// Если есть кнопки - отправляем с кнопками
	if (isset($data['buttons']) AND is_array($data['buttons']) AND count($data['buttons'])>0) {
		$response = tgsend_buttons_multiline($data['text'],$data['buttons'],$chat_id); 
		$res = json_decode($response, true);
		if (!isset($res['ok']) OR ($res['ok']!=TRUE)) {
			tg_sender_log("ОШИБКА РАССЫЛКИ\n".var_export($res,1));
			return $res; 
		}
	}	

	return $res;
} // Добавлена закрывающая скобка

function auto_message($text, $media = '', $buttons = NULL, $chat_id = NULL) {
    if (!isset($buttons)) {
        $buttons = array();
    }
    if (!isset($chat_id)) {
        if (isset($GLOBALS['chat_id'])) {
            $chat_id = $GLOBALS['chat_id'];
        } else {
            return;
        }
    }
    if ((int)$chat_id == 0) {
        return;
    }

    if (trim($media) != '') {
        $lines = explode("\n", trim($media));
        $imgs = array();
        $i = 0;
        foreach ($lines as $line) {
            $i++;
            if ($i > 10) {
                break;
            }
            if (trim($line) != '') {
                $imgs[] = trim($line);
            }
        }
        
        if (count($buttons) == 0 && strlen($text) < 200) {
            // Если нет кнопок и текст менее 200 символов – отправляем медиа с подписью
            $media_array = array();
            foreach ($imgs as $key => $img) {
                $caption = ($key == 0) ? $text : '';
                $media_array[] = array(
                    'type'    => 'photo',
                    'media'   => $img,
                    'caption' => $caption
                );
            }
            return tgsend_media($media_array, $chat_id);
        } else {
            // Иначе отправляем только фотографии
            $media_array = array();
            foreach ($imgs as $img) {
                $media_array[] = array(
                    'type'    => 'photo',
                    'media'   => $img,
                    'caption' => ''
                );
            }
            tgsend_media($media_array, $chat_id);
        }
    }
    
    // Добавляем инлайн кнопки
    if (count($buttons) > 0) {
        foreach ($buttons as $button) {
            if (array_key_exists('web_app', $button)) {
                $button['web_app'] = array('url' => $button);
            }
        }
    }

    $res = tgsend_buttons_inline($text, $buttons, $chat_id);
    return $res;
} // Убедитесь, что все скобки закрыты

function is_event_admin($event_id,$chat_id=-1,$prefix='') {
	if ($prefix!='') $GLOBALS['prefix'] = $prefix;
	if ($chat_id==-1) $chat_id=$GLOBALS['chat_id'];
	$ae = sqli("SELECT event_id FROM tg_user2event WHERE prefix='".$GLOBALS['prefix']."' AND event_id=$event_id AND chat_id=$chat_id AND role='admin' LIMIT 1");
	if (count($ae)>0) return TRUE;
	$event = sqli("SELECT * FROM tg_events WHERE prefix='".$GLOBALS['prefix']."' AND id=$event_id AND author_id=$chat_id LIMIT 1");
	if (count($event)==1) return TRUE;
	return FALSE;
}

function is_event_author($event_id,$chat_id=-1) {
    if ($chat_id==-1) $chat_id=$GLOBALS['chat_id'];
    $event = sqli("SELECT * FROM tg_events WHERE prefix='".$GLOBALS['prefix']."' AND id=$event_id AND author_id=$chat_id LIMIT 1");
    if (count($event)==1) return TRUE;
    return FALSE;
}

// Клонирование события
function clone_event($event_array_or_id,$new_date) {
	if (!is_array($event_array_or_id)) $event_array_or_id = sqli("SELECT * FROM tg_events WHERE id=$event_array_or_id LIMIT 1 ");
	$event = $event_array_or_id;
	$parent_id = $event['id'];
	
	if (array_key_exists('id',$event)) unset($event['id']);
	if (array_key_exists('dt',$event)) unset($event['dt']);
	if (array_key_exists('comment',$event)) unset($event['comment']);
	if (array_key_exists('repeat',$event)) unset($event['repeat']);
	
	$event['alias'] = $parent_id.time();
	$event['datetime'] = $new_date;
	$event['clone_id'] = $parent_id;
	
	deb($event);
	$new_id = todbi('tg_events',$event);
	
	// Если клонирует админ, а не автор - делаем его админом
	if (isset($GLOBALS['chat_id']) AND (int)$GLOBALS['chat_id']>0 AND $GLOBALS['chat_id']!=$event['author_id']) {
		$d = array(
			'prefix'	=> $GLOBALS['prefix'],
			'chat_id'	=> (int)$GLOBALS['chat_id'],
			'event_id'	=> $new_id,
			'role'		=> 'admin',
		);
		todbi('tg_user2event',$d);
	}
	return $new_id;
}

// Переводит названия месяцев и дней недели
// $form - форма: 0 - обычная (по умолч), 1 - сокращенная, 2 - в родительном падеже
function translate_week_and_month ($text,$form=0) {
	$tr = array(
		'monday'	=> Array('понедельник','ПН','понедельника'), 
		'tuesday'	=> Array('вторник','ВТ','вторник'),
		'wednesday'	=> Array('среда','СР','среда'),
		'thursday'	=> Array('четверг','ЧТ','четверг'),
		'friday'	=> Array('пятница','ПТ','пятница'),
		'saturday'	=> Array('суббота','СБ','суббота'),
		'sunday'	=> Array('воскресенье','ВС','воскресенье'),
		
		'january'	=> Array('январь','янв','января'),
		'february'	=> Array('февраль','фев','февраля'),
		'march'		=> Array('март','мар','марта'),
		'april'		=> Array('апрель','апр','апреля'),
		'may'		=> Array('май','май','мая'),
		'june'		=> Array('июнь','июн','июня'),
		'july'		=> Array('июль','июл','июля'),
		'august'	=> Array('август','авг','августа'),
		'september'	=> Array('сентябрь','сен','сентября'),
		'october'	=> Array('октябрь','окт','октября'),
		'november'	=> Array('ноябрь','ноя','ноября'),
		'december'	=> Array('декабрь','дек','декабря'),
	);
	$data = array();
	foreach ($tr as $key=>$arr) $data[$key] = $arr[$form];
	
	$res = str_ireplace(array_keys($data), array_values($data),$text);
	
	return $res;
}

// Список подписчиков пользователя
function users_of_admin ($admin_id=0){
	if ($admin_id==0 AND isset($GLOBALS['chat_id'])) $admin_id=$GLOBALS['chat_id'];
	if ($admin_id==0) return array();
	
	// Собираем приведенных по рефке
	$num_user_invites = sqli("SELECT chat_id FROM tg_users WHERE prefix='".$GLOBALS['prefix']."' AND referer LIKE '%uid".$GLOBALS['user_id']."%'");
	// Собираем регистрации на события админа
	$num_user_events = sqli("SELECT chat_id FROM tg_user2event WHERE prefix='".$GLOBALS['prefix']."' AND event_id IN (SELECT id FROM tg_events WHERE author_id=".$GLOBALS['chat_id'].")");
	
	// убираем дубли
	$users = array();
	foreach ($num_user_invites as $user) if (!in_array($user['chat_id'],$users)) $users[]=$user['chat_id'];
	foreach ($num_user_events  as $user) if (!in_array($user['chat_id'],$users)) $users[]=$user['chat_id'];
	
	return $users;
	
}

// Проверка на наличие эмодзи
function has_emojis( $string ) { 
    // Array of emoji (v12, 2019) unicodes from https://unicode.org/emoji/charts/emoji-list.html 
    $unicodes = array( '1F600','1F603','1F604','1F601','1F606','1F605','1F923','1F602','1F642','1F643','1F609','1F60A','1F607','1F970','1F60D','1F929','1F618','1F617','263A','1F61A','1F619','1F60B','1F61B','1F61C','1F92A','1F61D','1F911','1F917','1F92D','1F92B','1F914','1F910','1F928','1F610','1F611','1F636','1F60F','1F612','1F644','1F62C','1F925','1F60C','1F614','1F62A','1F924','1F634','1F637','1F912','1F915','1F922','1F92E','1F927','1F975','1F976','1F974','1F635','1F92F','1F920','1F973','1F60E','1F913','1F9D0','1F615','1F61F','1F641','2639','1F62E','1F62F','1F632','1F633','1F97A','1F626','1F627','1F628','1F630','1F625','1F622','1F62D','1F631','1F616','1F623','1F61E','1F613','1F629','1F62B','1F971','1F624','1F621','1F620','1F92C','1F608','1F47F','1F480','2620','1F4A9','1F921','1F479','1F47A','1F47B','1F47D','1F47E','1F916','1F63A','1F638','1F639','1F63B','1F63C','1F63D','1F640','1F63F','1F63E','1F648','1F649','1F64A','1F48B','1F48C','1F498','1F49D','1F496','1F497','1F493','1F49E','1F495','1F49F','2763','1F494','2764','1F9E1','1F49B','1F49A','1F499','1F49C','1F90E','1F5A4','1F90D','1F4AF','1F4A2','1F4A5','1F4AB','1F4A6','1F4A8','1F573','1F4A3','1F4AC','1F441','FE0F','200D','1F5E8','FE0F','1F5E8','1F5EF','1F4AD','1F4A4','1F44B','1F91A','1F590','270B','1F596','1F44C','1F90F','270C','1F91E','1F91F','1F918','1F919','1F448','1F449','1F446','1F595','1F447','261D','1F44D','1F44E','270A','1F44A','1F91B','1F91C','1F44F','1F64C','1F450','1F932','1F91D','1F64F','270D','1F485','1F933','1F4AA','1F9BE','1F9BF','1F9B5','1F9B6','1F442','1F9BB','1F443','1F9E0','1F9B7','1F9B4','1F440','1F441','1F445','1F444','1F476','1F9D2','1F466','1F467','1F9D1','1F471','1F468','1F9D4','1F471','200D','2642','FE0F','1F468','200D','1F9B0','1F468','200D','1F9B1','1F468','200D','1F9B3','1F468','200D','1F9B2','1F469','1F471','200D','2640','FE0F','1F469','200D','1F9B0','1F469','200D','1F9B1','1F469','200D','1F9B3','1F469','200D','1F9B2','1F9D3','1F474','1F475','1F64D','1F64D','200D','2642','FE0F','1F64D','200D','2640','FE0F','1F64E','1F64E','200D','2642','FE0F','1F64E','200D','2640','FE0F','1F645','1F645','200D','2642','FE0F','1F645','200D','2640','FE0F','1F646','1F646','200D','2642','FE0F','1F646','200D','2640','FE0F','1F481','1F481','200D','2642','FE0F','1F481','200D','2640','FE0F','1F64B','1F64B','200D','2642','FE0F','1F64B','200D','2640','FE0F','1F9CF','1F9CF','200D','2642','FE0F','1F9CF','200D','2640','FE0F','1F647','1F647','200D','2642','FE0F','1F647','200D','2640','FE0F','1F926','1F926','200D','2642','FE0F','1F926','200D','2640','FE0F','1F937','1F937','200D','2642','FE0F','1F937','200D','2640','FE0F','1F468','200D','2695','FE0F','1F469','200D','2695','FE0F','1F468','200D','1F393','1F469','200D','1F393','1F468','200D','1F3EB','1F469','200D','1F3EB','1F468','200D','2696','FE0F','1F469','200D','2696','FE0F','1F468','200D','1F33E','1F469','200D','1F33E','1F468','200D','1F373','1F469','200D','1F373','1F468','200D','1F527','1F469','200D','1F527','1F468','200D','1F3ED','1F469','200D','1F3ED','1F468','200D','1F4BC','1F469','200D','1F4BC','1F468','200D','1F52C','1F469','200D','1F52C','1F468','200D','1F4BB','1F469','200D','1F4BB','1F468','200D','1F3A4','1F469','200D','1F3A4','1F468','200D','1F3A8','1F469','200D','1F3A8','1F468','200D','2708','FE0F','1F469','200D','2708','FE0F','1F468','200D','1F680','1F469','200D','1F680','1F468','200D','1F692','1F469','200D','1F692','1F46E','1F46E','200D','2642','FE0F','1F46E','200D','2640','FE0F','1F575','1F575','FE0F','200D','2642','FE0F','1F575','FE0F','200D','2640','FE0F','1F482','1F482','200D','2642','FE0F','1F482','200D','2640','FE0F','1F477','1F477','200D','2642','FE0F','1F477','200D','2640','FE0F','1F934','1F478','1F473','1F473','200D','2642','FE0F','1F473','200D','2640','FE0F','1F472','1F9D5','1F935','1F470','1F930','1F931','1F47C','1F385','1F936','1F9B8','1F9B8','200D','2642','FE0F','1F9B8','200D','2640','FE0F','1F9B9','1F9B9','200D','2642','FE0F','1F9B9','200D','2640','FE0F','1F9D9','1F9D9','200D','2642','FE0F','1F9D9','200D','2640','FE0F','1F9DA','1F9DA','200D','2642','FE0F','1F9DA','200D','2640','FE0F','1F9DB','1F9DB','200D','2642','FE0F','1F9DB','200D','2640','FE0F','1F9DC','1F9DC','200D','2642','FE0F','1F9DC','200D','2640','FE0F','1F9DD','1F9DD','200D','2642','FE0F','1F9DD','200D','2640','FE0F','1F9DE','1F9DE','200D','2642','FE0F','1F9DE','200D','2640','FE0F','1F9DF','1F9DF','200D','2642','FE0F','1F9DF','200D','2640','FE0F','1F486','1F486','200D','2642','FE0F','1F486','200D','2640','FE0F','1F487','1F487','200D','2642','FE0F','1F487','200D','2640','FE0F','1F6B6','1F6B6','200D','2642','FE0F','1F6B6','200D','2640','FE0F','1F9CD','1F9CD','200D','2642','FE0F','1F9CD','200D','2640','FE0F','1F9CE','1F9CE','200D','2642','FE0F','1F9CE','200D','2640','FE0F','1F468','200D','1F9AF','1F469','200D','1F9AF','1F468','200D','1F9BC','1F469','200D','1F9BC','1F468','200D','1F9BD','1F469','200D','1F9BD','1F3C3','1F3C3','200D','2642','FE0F','1F3C3','200D','2640','FE0F','1F483','1F57A','1F574','1F46F','1F46F','200D','2642','FE0F','1F46F','200D','2640','FE0F','1F9D6','1F9D6','200D','2642','FE0F','1F9D6','200D','2640','FE0F','1F9D7','1F9D7','200D','2642','FE0F','1F9D7','200D','2640','FE0F','1F93A','1F3C7','26F7','1F3C2','1F3CC','1F3CC','FE0F','200D','2642','FE0F','1F3CC','FE0F','200D','2640','FE0F','1F3C4','1F3C4','200D','2642','FE0F','1F3C4','200D','2640','FE0F','1F6A3','1F6A3','200D','2642','FE0F','1F6A3','200D','2640','FE0F','1F3CA','1F3CA','200D','2642','FE0F','1F3CA','200D','2640','FE0F','26F9','26F9','FE0F','200D','2642','FE0F','26F9','FE0F','200D','2640','FE0F','1F3CB','1F3CB','FE0F','200D','2642','FE0F','1F3CB','FE0F','200D','2640','FE0F','1F6B4','1F6B4','200D','2642','FE0F','1F6B4','200D','2640','FE0F','1F6B5','1F6B5','200D','2642','FE0F','1F6B5','200D','2640','FE0F','1F938','1F938','200D','2642','FE0F','1F938','200D','2640','FE0F','1F93C','1F93C','200D','2642','FE0F','1F93C','200D','2640','FE0F','1F93D','1F93D','200D','2642','FE0F','1F93D','200D','2640','FE0F','1F93E','1F93E','200D','2642','FE0F','1F93E','200D','2640','FE0F','1F939','1F939','200D','2642','FE0F','1F939','200D','2640','FE0F','1F9D8','1F9D8','200D','2642','FE0F','1F9D8','200D','2640','FE0F','1F6C0','1F6CC','1F9D1','200D','1F91D','200D','1F9D1','1F46D','1F46B','1F46C','1F48F','1F469','200D','2764','FE0F','200D','1F48B','200D','1F468','1F468','200D','2764','FE0F','200D','1F48B','200D','1F468','1F469','200D','2764','FE0F','200D','1F48B','200D','1F469','1F491','1F469','200D','2764','FE0F','200D','1F468','1F468','200D','2764','FE0F','200D','1F468','1F469','200D','2764','FE0F','200D','1F469','1F46A','1F468','200D','1F469','200D','1F466','1F468','200D','1F469','200D','1F467','1F468','200D','1F469','200D','1F467','200D','1F466','1F468','200D','1F469','200D','1F466','200D','1F466','1F468','200D','1F469','200D','1F467','200D','1F467','1F468','200D','1F468','200D','1F466','1F468','200D','1F468','200D','1F467','1F468','200D','1F468','200D','1F467','200D','1F466','1F468','200D','1F468','200D','1F466','200D','1F466','1F469','200D','1F469','200D','1F467','200D','1F467','1F468','200D','1F466','1F468','200D','1F466','200D','1F466','1F468','200D','1F467','1F468','200D','1F467','200D','1F466','1F468','200D','1F467','200D','1F467','1F469','200D','1F466','1F469','200D','1F466','200D','1F466','1F469','200D','1F467','1F469','200D','1F467','200D','1F466','1F469','200D','1F467','200D','1F467','1F5E3','1F464','1F465','1F463','1F9B0','1F9B1','1F9B3','1F9B2','1F435','1F412','1F98D','1F9A7','1F436','1F415','1F9AE','1F415','200D','1F9BA','1F429','1F43A','1F98A','1F99D','1F431','1F408','1F981','1F42F','1F405','1F406','1F434','1F40E','1F984','1F993','1F98C','1F42E','1F402','1F403','1F404','1F437','1F416','1F417','1F43D','1F40F','1F411','1F410','1F42A','1F42B','1F999','1F992','1F418','1F98F','1F99B','1F42D','1F401','1F400','1F439','1F430','1F407','1F43F','1F994','1F987','1F43B','1F428','1F43C','1F9A5','1F9A6','1F9A8','1F998','1F9A1','1F43E','1F983','1F414','1F413','1F423','1F424','1F425','1F426','1F427','1F54A','1F985','1F986','1F9A2','1F989','1F9A9','1F99A','1F99C','1F438','1F40A','1F422','1F98E','1F40D','1F432','1F409','1F995','1F996','1F433','1F40B','1F42C','1F41F','1F420','1F421','1F988','1F419','1F41A','1F40C','1F98B','1F41B','1F41C','1F41D','1F41E','1F997','1F577','1F578','1F982','1F99F','1F9A0','1F490','1F338','1F4AE','1F3F5','1F339','1F940','1F33A','1F33B','1F33C','1F337','1F331','1F332','1F333','1F334','1F335','1F33E','1F33F','2618','1F340','1F341','1F342','1F343','1F347','1F348','1F349','1F34A','1F34B','1F34C','1F34D','1F96D','1F34E','1F34F','1F350','1F351','1F352','1F353','1F95D','1F345','1F965','1F951','1F346','1F954','1F955','1F33D','1F336','1F952','1F96C','1F966','1F9C4','1F9C5','1F344','1F95C','1F330','1F35E','1F950','1F956','1F968','1F96F','1F95E','1F9C7','1F9C0','1F356','1F357','1F969','1F953','1F354','1F35F','1F355','1F32D','1F96A','1F32E','1F32F','1F959','1F9C6','1F95A','1F373','1F958','1F372','1F963','1F957','1F37F','1F9C8','1F9C2','1F96B','1F371','1F358','1F359','1F35A','1F35B','1F35C','1F35D','1F360','1F362','1F363','1F364','1F365','1F96E','1F361','1F95F','1F960','1F961','1F980','1F99E','1F990','1F991','1F9AA','1F366','1F367','1F368','1F369','1F36A','1F382','1F370','1F9C1','1F967','1F36B','1F36C','1F36D','1F36E','1F36F','1F37C','1F95B','2615','1F375','1F376','1F37E','1F377','1F378','1F379','1F37A','1F37B','1F942','1F943','1F964','1F9C3','1F9C9','1F9CA','1F962','1F37D','1F374','1F944','1F52A','1F3FA','1F30D','1F30E','1F30F','1F310','1F5FA','1F5FE','1F9ED','1F3D4','26F0','1F30B','1F5FB','1F3D5','1F3D6','1F3DC','1F3DD','1F3DE','1F3DF','1F3DB','1F3D7','1F9F1','1F3D8','1F3DA','1F3E0','1F3E1','1F3E2','1F3E3','1F3E4','1F3E5','1F3E6','1F3E8','1F3E9','1F3EA','1F3EB','1F3EC','1F3ED','1F3EF','1F3F0','1F492','1F5FC','1F5FD','26EA','1F54C','1F6D5','1F54D','26E9','1F54B','26F2','26FA','1F301','1F303','1F3D9','1F304','1F305','1F306','1F307','1F309','2668','1F3A0','1F3A1','1F3A2','1F488','1F3AA','1F682','1F683','1F684','1F685','1F686','1F687','1F688','1F689','1F68A','1F69D','1F69E','1F68B','1F68C','1F68D','1F68E','1F690','1F691','1F692','1F693','1F694','1F695','1F696','1F697','1F698','1F699','1F69A','1F69B','1F69C','1F3CE','1F3CD','1F6F5','1F9BD','1F9BC','1F6FA','1F6B2','1F6F4','1F6F9','1F68F','1F6E3','1F6E4','1F6E2','26FD','1F6A8','1F6A5','1F6A6','1F6D1','1F6A7','2693','26F5','1F6F6','1F6A4','1F6F3','26F4','1F6E5','1F6A2','2708','1F6E9','1F6EB','1F6EC','1FA82','1F4BA','1F681','1F69F','1F6A0','1F6A1','1F6F0','1F680','1F6F8','1F6CE','1F9F3','231B','23F3','231A','23F0','23F1','23F2','1F570','1F55B','1F567','1F550','1F55C','1F551','1F55D','1F552','1F55E','1F553','1F55F','1F554','1F560','1F555','1F561','1F556','1F562','1F557','1F563','1F558','1F564','1F559','1F565','1F55A','1F566','1F311','1F312','1F313','1F314','1F315','1F316','1F317','1F318','1F319','1F31A','1F31B','1F31C','1F321','2600','1F31D','1F31E','1FA90','2B50','1F31F','1F320','1F30C','2601','26C5','26C8','1F324','1F325','1F326','1F327','1F328','1F329','1F32A','1F32B','1F32C','1F300','1F308','1F302','2602','2614','26F1','26A1','2744','2603','26C4','2604','1F525','1F4A7','1F30A','1F383','1F384','1F386','1F387','1F9E8','2728','1F388','1F389','1F38A','1F38B','1F38D','1F38E','1F38F','1F390','1F391','1F9E7','1F380','1F381','1F397','1F39F','1F3AB','1F396','1F3C6','1F3C5','1F947','1F948','1F949','26BD','26BE','1F94E','1F3C0','1F3D0','1F3C8','1F3C9','1F3BE','1F94F','1F3B3','1F3CF','1F3D1','1F3D2','1F94D','1F3D3','1F3F8','1F94A','1F94B','1F945','26F3','26F8','1F3A3','1F93F','1F3BD','1F3BF','1F6F7','1F94C','1F3AF','1FA80','1FA81','1F3B1','1F52E','1F9FF','1F3AE','1F579','1F3B0','1F3B2','1F9E9','1F9F8','2660','2665','2666','2663','265F','1F0CF','1F004','1F3B4','1F3AD','1F5BC','1F3A8','1F9F5','1F9F6','1F453','1F576','1F97D','1F97C','1F9BA','1F454','1F455','1F456','1F9E3','1F9E4','1F9E5','1F9E6','1F457','1F458','1F97B','1FA71','1FA72','1FA73','1F459','1F45A','1F45B','1F45C','1F45D','1F6CD','1F392','1F45E','1F45F','1F97E','1F97F','1F460','1F461','1FA70','1F462','1F451','1F452','1F3A9','1F393','1F9E2','26D1','1F4FF','1F484','1F48D','1F48E','1F507','1F508','1F509','1F50A','1F4E2','1F4E3','1F4EF','1F514','1F515','1F3BC','1F3B5','1F3B6','1F399','1F39A','1F39B','1F3A4','1F3A7','1F4FB','1F3B7','1F3B8','1F3B9','1F3BA','1F3BB','1FA95','1F941','1F4F1','1F4F2','260E','1F4DE','1F4DF','1F4E0','1F50B','1F50C','1F4BB','1F5A5','1F5A8','2328','1F5B1','1F5B2','1F4BD','1F4BE','1F4BF','1F4C0','1F9EE','1F3A5','1F39E','1F4FD','1F3AC','1F4FA','1F4F7','1F4F8','1F4F9','1F4FC','1F50D','1F50E','1F56F','1F4A1','1F526','1F3EE','1FA94','1F4D4','1F4D5','1F4D6','1F4D7','1F4D8','1F4D9','1F4DA','1F4D3','1F4D2','1F4C3','1F4DC','1F4C4','1F4F0','1F5DE','1F4D1','1F516','1F3F7','1F4B0','1F4B4','1F4B5','1F4B6','1F4B7','1F4B8','1F4B3','1F9FE','1F4B9','1F4B1','1F4B2','2709','1F4E7','1F4E8','1F4E9','1F4E4','1F4E5','1F4E6','1F4EB','1F4EA','1F4EC','1F4ED','1F4EE','1F5F3','270F','2712','1F58B','1F58A','1F58C','1F58D','1F4DD','1F4BC','1F4C1','1F4C2','1F5C2','1F4C5','1F4C6','1F5D2','1F5D3','1F4C7','1F4C8','1F4C9','1F4CA','1F4CB','1F4CC','1F4CD','1F4CE','1F587','1F4CF','1F4D0','2702','1F5C3','1F5C4','1F5D1','1F512','1F513','1F50F','1F510','1F511','1F5DD','1F528','1FA93','26CF','2692','1F6E0','1F5E1','2694','1F52B','1F3F9','1F6E1','1F527','1F529','2699','1F5DC','2696','1F9AF','1F517','26D3','1F9F0','1F9F2','2697','1F9EA','1F9EB','1F9EC','1F52C','1F52D','1F4E1','1F489','1FA78','1F48A','1FA79','1FA7A','1F6AA','1F6CF','1F6CB','1FA91','1F6BD','1F6BF','1F6C1','1FA92','1F9F4','1F9F7','1F9F9','1F9FA','1F9FB','1F9FC','1F9FD','1F9EF','1F6D2','1F6AC','26B0','26B1','1F5FF','1F3E7','1F6AE','1F6B0','267F','1F6B9','1F6BA','1F6BB','1F6BC','1F6BE','1F6C2','1F6C3','1F6C4','1F6C5','26A0','1F6B8','26D4','1F6AB','1F6B3','1F6AD','1F6AF','1F6B1','1F6B7','1F4F5','1F51E','2622','2623','2B06','2197','27A1','2198','2B07','2199','2B05','2196','2195','2194','21A9','21AA','2934','2935','1F503','1F504','1F519','1F51A','1F51B','1F51C','1F51D','1F6D0','269B','1F549','2721','2638','262F','271D','2626','262A','262E','1F54E','1F52F','2648','2649','264A','264B','264C','264D','264E','264F','2650','2651','2652','2653','26CE','1F500','1F501','1F502','25B6','23E9','23ED','23EF','25C0','23EA','23EE','1F53C','23EB','1F53D','23EC','23F8','23F9','23FA','23CF','1F3A6','1F505','1F506','1F4F6','1F4F3','1F4F4','2640','2642','2695','267E','267B','269C','1F531','1F4DB','1F530','2B55','2705','2611','2714','2716','274C','274E','2795','2796','2797','27B0','27BF','303D','2733','2734','2747','203C','2049','2753','2754','2755','2757','00A9','00AE','2122','0023','FE0F','20E3','002A','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','FE0F','20E3','1F51F','1F520','1F521','1F522','1F523','1F524','1F170','1F18E','1F171','1F191','1F192','1F193','2139','1F194','24C2','1F195','1F196','1F17E','1F197','1F17F','1F198','1F199','1F19A','1F201','1F202','1F237','1F236','1F22F','1F250','1F239','1F21A','1F232','1F251','1F238','1F234','1F233','3297','3299','1F23A','1F235','1F534','1F7E0','1F7E1','1F7E2','1F535','1F7E3','1F7E4','26AB','26AA','1F7E5','1F7E7','1F7E8','1F7E9','1F7E6','1F7EA','1F7EB','2B1B','2B1C','25FC','25FB','25FE','25FD','25AA','25AB','1F536','1F537','1F538','1F539','1F53A','1F53B','1F4A0','1F518','1F533','1F532','1F3C1','1F6A9','1F38C','1F3F4','1F3F3','1F3F3','FE0F','200D','1F308','1F3F4','200D','2620','FE0F','1F1E6','1F1E8','1F1E6','1F1E9','1F1E6','1F1EA','1F1E6','1F1EB','1F1E6','1F1EC','1F1E6','1F1EE','1F1E6','1F1F1','1F1E6','1F1F2','1F1E6','1F1F4','1F1E6','1F1F6','1F1E6','1F1F7','1F1E6','1F1F8','1F1E6','1F1F9','1F1E6','1F1FA','1F1E6','1F1FC','1F1E6','1F1FD','1F1E6','1F1FF','1F1E7','1F1E6','1F1E7','1F1E7','1F1E7','1F1E9','1F1E7','1F1EA','1F1E7','1F1EB','1F1E7','1F1EC','1F1E7','1F1ED','1F1E7','1F1EE','1F1E7','1F1EF','1F1E7','1F1F1','1F1E7','1F1F2','1F1E7','1F1F3','1F1E7','1F1F4','1F1E7','1F1F6','1F1E7','1F1F7','1F1E7','1F1F8','1F1E7','1F1F9','1F1E7','1F1FB','1F1E7','1F1FC','1F1E7','1F1FE','1F1E7','1F1FF','1F1E8','1F1E6','1F1E8','1F1E8','1F1E8','1F1E9','1F1E8','1F1EB','1F1E8','1F1EC','1F1E8','1F1ED','1F1E8','1F1EE','1F1E8','1F1F0','1F1E8','1F1F1','1F1E8','1F1F2','1F1E8','1F1F3','1F1E8','1F1F4','1F1E8','1F1F5','1F1E8','1F1F7','1F1E8','1F1FA','1F1E8','1F1FB','1F1E8','1F1FC','1F1E8','1F1FD','1F1E8','1F1FE','1F1E8','1F1FF','1F1E9','1F1EA','1F1E9','1F1EC','1F1E9','1F1EF','1F1E9','1F1F0','1F1E9','1F1F2','1F1E9','1F1F4','1F1E9','1F1FF','1F1EA','1F1E6','1F1EA','1F1E8','1F1EA','1F1EA','1F1EA','1F1EC','1F1EA','1F1ED','1F1EA','1F1F7','1F1EA','1F1F8','1F1EA','1F1F9','1F1EA','1F1FA','1F1EB','1F1EE','1F1EB','1F1EF','1F1EB','1F1F0','1F1EB','1F1F2','1F1EB','1F1F4','1F1EB','1F1F7','1F1EC','1F1E6','1F1EC','1F1E7','1F1EC','1F1E9','1F1EC','1F1EA','1F1EC','1F1EB','1F1EC','1F1EC','1F1EC','1F1ED','1F1EC','1F1EE','1F1EC','1F1F1','1F1EC','1F1F2','1F1EC','1F1F3','1F1EC','1F1F5','1F1EC','1F1F6','1F1EC','1F1F7','1F1EC','1F1F8','1F1EC','1F1F9','1F1EC','1F1FA','1F1EC','1F1FC','1F1EC','1F1FE','1F1ED','1F1F0','1F1ED','1F1F2','1F1ED','1F1F3','1F1ED','1F1F7','1F1ED','1F1F9','1F1ED','1F1FA','1F1EE','1F1E8','1F1EE','1F1E9','1F1EE','1F1EA','1F1EE','1F1F1','1F1EE','1F1F2','1F1EE','1F1F3','1F1EE','1F1F4','1F1EE','1F1F6','1F1EE','1F1F7','1F1EE','1F1F8','1F1EE','1F1F9','1F1EF','1F1EA','1F1EF','1F1F2','1F1EF','1F1F4','1F1EF','1F1F5','1F1F0','1F1EA','1F1F0','1F1EC','1F1F0','1F1ED','1F1F0','1F1EE','1F1F0','1F1F2','1F1F0','1F1F3','1F1F0','1F1F5','1F1F0','1F1F7','1F1F0','1F1FC','1F1F0','1F1FE','1F1F0','1F1FF','1F1F1','1F1E6','1F1F1','1F1E7','1F1F1','1F1E8','1F1F1','1F1EE','1F1F1','1F1F0','1F1F1','1F1F7','1F1F1','1F1F8','1F1F1','1F1F9','1F1F1','1F1FA','1F1F1','1F1FB','1F1F1','1F1FE','1F1F2','1F1E6','1F1F2','1F1E8','1F1F2','1F1E9','1F1F2','1F1EA','1F1F2','1F1EB','1F1F2','1F1EC','1F1F2','1F1ED','1F1F2','1F1F0','1F1F2','1F1F1','1F1F2','1F1F2','1F1F2','1F1F3','1F1F2','1F1F4','1F1F2','1F1F5','1F1F2','1F1F6','1F1F2','1F1F7','1F1F2','1F1F8','1F1F2','1F1F9','1F1F2','1F1FA','1F1F2','1F1FB','1F1F2','1F1FC','1F1F2','1F1FD','1F1F2','1F1FE','1F1F2','1F1FF','1F1F3','1F1E6','1F1F3','1F1E8','1F1F3','1F1EA','1F1F3','1F1EB','1F1F3','1F1EC','1F1F3','1F1EE','1F1F3','1F1F1','1F1F3','1F1F4','1F1F3','1F1F5','1F1F3','1F1F7','1F1F3','1F1FA','1F1F3','1F1FF','1F1F4','1F1F2','1F1F5','1F1E6','1F1F5','1F1EA','1F1F5','1F1EB','1F1F5','1F1EC','1F1F5','1F1ED','1F1F5','1F1F0','1F1F5','1F1F1','1F1F5','1F1F2','1F1F5','1F1F3','1F1F5','1F1F7','1F1F5','1F1F8','1F1F5','1F1F9','1F1F5','1F1FC','1F1F5','1F1FE','1F1F6','1F1E6','1F1F7','1F1EA','1F1F7','1F1F4','1F1F7','1F1F8','1F1F7','1F1FA','1F1F7','1F1FC','1F1F8','1F1E6','1F1F8','1F1E7','1F1F8','1F1E8','1F1F8','1F1E9','1F1F8','1F1EA','1F1F8','1F1EC','1F1F8','1F1ED','1F1F8','1F1EE','1F1F8','1F1EF','1F1F8','1F1F0','1F1F8','1F1F1','1F1F8','1F1F2','1F1F8','1F1F3','1F1F8','1F1F4','1F1F8','1F1F7','1F1F8','1F1F8','1F1F8','1F1F9','1F1F8','1F1FB','1F1F8','1F1FD','1F1F8','1F1FE','1F1F8','1F1FF','1F1F9','1F1E6','1F1F9','1F1E8','1F1F9','1F1E9','1F1F9','1F1EB','1F1F9','1F1EC','1F1F9','1F1ED','1F1F9','1F1EF','1F1F9','1F1F0','1F1F9','1F1F1','1F1F9','1F1F2','1F1F9','1F1F3','1F1F9','1F1F4','1F1F9','1F1F7','1F1F9','1F1F9','1F1F9','1F1FB','1F1F9','1F1FC','1F1F9','1F1FF','1F1FA','1F1E6','1F1FA','1F1EC','1F1FA','1F1F2','1F1FA','1F1F3','1F1FA','1F1F8','1F1FA','1F1FE','1F1FA','1F1FF','1F1FB','1F1E6','1F1FB','1F1E8','1F1FB','1F1EA','1F1FB','1F1EC','1F1FB','1F1EE','1F1FB','1F1F3','1F1FB','1F1FA','1F1FC','1F1EB','1F1FC','1F1F8','1F1FD','1F1F0','1F1FE','1F1EA','1F1FE','1F1F9','1F1FF','1F1E6','1F1FF','1F1F2','1F1FF','1F1FC','1F3F4','E0067','E0062','E0065','E006E','E0067','E007F','1F3F4','E0067','E0062','E0073','E0063','E0074','E007F','1F3F4','E0067','E0062','E0077','E006C','E0073','E007F' );
    return preg_match( '/[\x{' . implode( '}\x{', $unicodes ) . '}]/u', $string ) ? true : false;
}

// Добавление участников в спискам
function add_user2list( $cid , $lid , $description='' ) { 
	$is_present = sqli("SELECT id FROM tg_user2list WHERE list_id=$lid AND chat_id=$cid LIMIT 1");
	if (count($is_present)==1) return FALSE;
	$data = array(
		'prefix' => $GLOBALS['prefix'],
		'chat_id' => $cid,
		'list_id' => $lid,
		'description' => $description,
	);
	todbi('tg_user2list',$data);
}

function markdownToHtml($markdown)
{
	// Преобразование заголовков ### в <h3>
	$markdown = preg_replace('/#### (.*)/', '<h4>$1</h4>', $markdown);
	$markdown = preg_replace('/### (.*)/', '<h3>$1</h3>', $markdown);
	$markdown = preg_replace('/## (.*)/', '<h2>$1</h2>', $markdown);

	// Преобразование выделения жирным шрифтом ** в <strong>
	$markdown = preg_replace('/\*\*(.*?)\*\*/', '<strong>$1</strong>', $markdown);

	// Преобразование элементов списка * в <li>
	$markdown = preg_replace('/\* (.*)/', '<li>$1</li>', $markdown);

	// Оборачивание всех <li> элементов в <ul>
	$markdown = preg_replace('/(<li>.*<\/li>)/s', '<ul>$1</ul>', $markdown);
	
	// Удаление всех квадратных скобок с цифрами
	$markdown = preg_replace('/\[\d+\]/', '', $markdown);

	return $markdown;
}
function markdownToHtmlTg($markdown)
{
	// Преобразование заголовков ### в <h3>
	$markdown = preg_replace('/#### (.*)/', '<b><u>$1</u></b>', $markdown);
	$markdown = preg_replace('/### (.*)/', '<b><u>$1</u></b>', $markdown);
	$markdown = preg_replace('/## (.*)/', '<b><u>$1</u></b>', $markdown);

	// Преобразование выделения жирным шрифтом ** в <strong>
	$markdown = preg_replace('/\*\*(.*?)\*\*/', '<b>$1</b>', $markdown);

	// Преобразование элементов списка * в <li>
	$markdown = preg_replace('/\* (.*)/', '• $1', $markdown);

	// Удаление всех квадратных скобок с цифрами
	$markdown = preg_replace('/\[\d+\]/', '', $markdown);
	
	return $markdown;
}

function perplexity_api ($data)
{
    // Добавить проверку на наличие константы
    if (!defined('PERPLEXITY_API')) {
        return 'Error: API key not defined';
    }
    
    $api_key = PERPLEXITY_API;
    $url = 'https://api.perplexity.ai/chat/completions';
    tg_log('perplexity',0,0,'',var_export($data,1));

    $ch = curl_init($url);

    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json',
    'Authorization: Bearer ' . $api_key
    ));

    $response = curl_exec($ch);

    if (curl_errno($ch)) {
        echo 'Ошибка cURL: ' . curl_error($ch);
    } else {
        $result = json_decode($response, true);
        if (isset($result['choices'][0]['message']['content'])) {
            return $result;
        } else {
            return 'Error';
        }
    }

    curl_close($ch);

}
function perplexity ($request){
	$data = array(
	'model' => 'llama-3.1-sonar-small-128k-online',
	'messages' => array(
	array(
	'role' => 'system',
	'content' => 'Ты пишешь художественные тексты, с красивыми метаформами, алегориями и сравнениями. При написании ответа форматируй текст согласно HTML-разметке, используй только следующие теги: <b>,<i>,<br>,<u>'
	),
	array(
	'role' => 'user',
	'content' => $request,//'Ты нумеролог. Напиши развернутую интерпретацию цифры дня 6: работа, личные отношения, рекомендации на этот день и на что нужно обратить внимание. Но не говори, что это день 6 - придумай красивое название этому дню.'
	)
	),
	'max_tokens' => 1500,
	'temperature' => 0.7,
	'top_p' => 0.9,
	
	);
	
	return perplexity_api($data);
}

function perplexity_image ($request)
{
	$url = 'https://mageic.mage.space/api/v1/app/run';

	$ch = curl_init($url);
	
	$data = '{"data":{"config":{"version":2,"type":"t2i","stages":[{"id":"prompt","input":[],"output":["text"],"load_config":{"text":"Женщина с цветами и свечами в центре пейзажа","negative_prompt":"","prompt_filter":{"prompt":"{prompt}","negative_prompt":""}}},{"id":"t2i","input":["text"],"output":["image"],"load_config":{"model_id":"flux-schnell","scheduler":{"id":"euler"},"lora":[],"ti":[]},"run_config":{"guidance_scale":0,"num_inference_steps":4,"width":896,"height":1152,"clip_skip":false}}],"conceptId":"63b7af399a78b6d8a5ace0b81d5ee3c4","conceptOverride":{"prompt":"Женщина с цветами и свечами в центре пейзажа"}}},"timestamp":1732752305858}';

	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(
	'Content-Type: application/json',
	));

	$response = curl_exec($ch);

	if (curl_errno($ch)) {
		echo 'Ошибка cURL: ' . curl_error($ch);
	} else {
		$result = json_decode($response, true);
		if (isset($result)) {
			return $result;
		} else {
			return 'Error';
		}
	}

	curl_close($ch);

}

function mistral_text($request){

	$url = "https://api.mistral.ai/v1/chat/completions";

	$curl = curl_init($url);
	curl_setopt($curl, CURLOPT_URL, $url);
	curl_setopt($curl, CURLOPT_POST, true);
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

	$headers = array(
	"Accept: application/json",
	"Authorization: Bearer ".MISTRAL_API,
	"Content-Type: application/json",
	);
	curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);

	//mistral-large-latest
	$data = '{
		"model": "mistral-large-latest",
	"temperature": 0.7,
	"top_p": 1,
	"max_tokens": 2048,
	"stream": false,
	"stop": "string",
	"random_seed": 0,
	"messages": [
		{
		"role": "user",
		"content": "'.$request.'"
		}
	],
	"response_format": {
	"type": "text"
	},
	"tools": [
	{
	"type": "function",
	"function": {
	"name": "string",
	"description": "",
	"parameters": {}
	}
	}
	],
	"tool_choice": "auto",
	"presence_penalty": 0,
	"frequency_penalty": 0,
	"n": 1,
	"safe_prompt": false
	}
';

	curl_setopt($curl, CURLOPT_POSTFIELDS, $data);

	//for debug only!
	curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);

	$response = curl_exec($curl);

	if (curl_errno($curl)) {
		echo 'Ошибка cURL: ' . curl_error($curl);
	} else {
		$result = json_decode($response, true);
		if (isset($result)) {
			return $result;
		} else {
			return 'Error';
		}
	}

	curl_close($curl);

	return $result;
}

function get_user_data($chat_id=NULL) {
    $res = array();
    if (!isset($chat_id)) {
        if (isset($GLOBALS['chat_id'])) {
            $chat_id = $GLOBALS['chat_id'];
        } else {
            return $res;
        }
    }
    
    $usr = sqli("SELECT * FROM tg_users WHERE prefix='".$GLOBALS['prefix']."' AND chat_id='$chat_id' LIMIT 1 ");
    if (count($usr)==0) return $res;
    $GLOBALS['user'] = $usr[0];
    if ($usr[0]['data']!='') {
        $GLOBALS['user']['data'] = unserialize($usr[0]['data']);
    }
    
    if (trim($GLOBALS['user']['data'])=='') return $res;
    
    if (is_array($GLOBALS['user']['data'])) {
        $res = $GLOBALS['user']['data'];
    } else {
        $res = unserialize(trim($GLOBALS['user']['data']));
    }
    
    if (!is_array($res)) return array();
    
    return $res;
}

function set_user_data($user_data, $chat_id=NULL) {
	$res = array();
	if (!isset($chat_id))
			if (isset($GLOBALS['chat_id'])) $chat_id = $GLOBALS['chat_id']; else return $res;
	
	$GLOBALS['user']['data'] = $user_data;
	
	$ser = serialize($user_data);

	$res = todbi('tg_users', array('data'=>$ser)," prefix='".$GLOBALS['prefix']."' AND chat_id='$chat_id' LIMIT 1 ");
	
	return $res;
}

function update_user_data($key, $value, $chat_id=NULL) {
	$user_data = get_user_data();
	$user_data[$key] = $value;
	$res = set_user_data($user_data);
	return $res;
}


$mime_types = array(
    'txt' => 'text/plain',
    'htm' => 'text/html',
    'html' => 'text/html',
    'php' => 'text/html',
    'css' => 'text/css',
    'js' => 'application/javascript',
    'json' => 'application/json',
    'xml' => 'application/xml',
    'swf' => 'application/x-shockwave-flash', 
    'flv' => 'video/x-flv',
    // изображения
    'png' => 'image/png',
    'jpe' => 'image/jpeg',
    'jpeg' => 'image/jpeg',
    'jpg' => 'image/jpeg',
    'gif' => 'image/gif',
    'bmp' => 'image/bmp',
    'ico' => 'image/vnd.microsoft.icon',
    'tiff' => 'image/tiff',
    'tif' => 'image/tiff',
    'svg' => 'image/svg+xml',
    'svgz' => 'image/svg+xml',
    // архивы
    'zip' => 'application/zip',
    'rar' => 'application/x-rar-compressed',
    'exe' => 'application/x-msdownload',
    'msi' => 'application/x-msdownload',
    'cab' => 'application/vnd.ms-cab-compressed',
    // аудио/видео
    'mp3' => 'audio/mpeg',
    'qt' => 'video/quicktime',
    'mov' => 'video/quicktime',
    // adobe
    'pdf' => 'application/pdf',
    'psd' => 'image/vnd.adobe.photoshop',
    'ai' => 'application/postscript',
    'eps' => 'application/postscript',
    'ps' => 'application/postscript',
    // ms office
    'doc' => 'application/msword',
    'rtf' => 'application/rtf',
    'xls' => 'application/vnd.ms-excel',
    'ppt' => 'application/vnd.ms-powerpoint',
    // open office
    'odt' => 'application/vnd.oasis.opendocument.text',
    'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
);

function getMimeType($filename) {
    $ext = strtolower(array_pop(explode('.',$filename)));
    if (array_key_exists($ext, $mime_types)) {
        return $mime_types[$ext];
    } elseif (function_exists('finfo_open')) {
        $finfo = finfo_open(FILEINFO_MIME);
        $mimetype = finfo_file($finfo, $filename);
        finfo_close($finfo);
        return $mimetype;
    } else {
        return 'application/octet-stream';
    }
}


// Простая функция обратимого шифрования/дешифрования
function auth_encrypt($input, $key = SOLD) {
    $output = '';
    // XOR каждый символ с ключом
    for ($i = 0, $len = strlen($input); $i < $len; $i++) {
        $output .= chr(ord($input[$i]) ^ ord($key[$i % strlen($key)]));
    }
    // Кодируем в base64 и заменяем символы на безопасные для URL
    return base64_encode($output);
}

function auth_decrypt($input, $key = SOLD) {
    $output = '';
    // Декодируем base64
    $decoded = base64_decode($input);
    // XOR каждый символ с ключом
    for ($i = 0, $len = strlen($decoded); $i < $len; $i++) {
        $output .= chr(ord($decoded[$i]) ^ ord($key[$i % strlen($key)]));
    }
    return $output;
}



function get_masters() {
	$masters = array(
		'SaidDN',
		'Anet2196',
		'___',
	);
	return $masters;
}

function game_modal(){
	$selected_city='Выберите город';
	if (isset($GLOBALS['modal_game_data']['{city}'])) $selected_city = $GLOBALS['modal_game_data']['{city}'];
	$template = str_replace( array_keys($GLOBALS['modal_game_data']), $GLOBALS['modal_game_data'], file_get_contents('templates/modal_game.tpl'));
	$city_options = '';
	foreach($GLOBALS['cities'] as $city){
		if ($selected_city==$city) $selected = 'selected'; else $selected = '';
		$city_options .= '<option value="'.$city.'" '.$selected.'>'.$city.'</option>';
	}
	$template = str_replace( '{city_options}', $city_options, $template);
	echo $template;
	
}

function said(){
	return $GLOBALS['user']['chat_id']==SAID OR $GLOBALS['user']['chat_id']==5235630508;
}

// Дашборд.

function get_dashboard(){
	// Получаем список всех игр пользователя
	$games = sqli("SELECT * FROM tg_events WHERE prefix='mntz' AND author_id='".$GLOBALS['user']['chat_id']."' AND blocked=0 ORDER BY `datetime` DESC ");
	
	$game_ids = array();
	$game_ids_lastmonth = array();
	foreach($games as $game) {
		$GLOBALS['dashboard']['last_games'][] = $game;
		$game_ts = strtotime($game['datetime']);
		$game_ids[] = $game['id'];
		if($game_ts < time()-2592000) $game_ids_lastmonth[] = $game['id'];
	}
	
	// Получаем список всех пользователей, которые приняли участие в играх
	if(count($game_ids) > 0) {
		$res = sqli("SELECT COUNT(DISTINCT id) as total FROM tg_user2event WHERE event_id IN (".implode(',', $game_ids).")");
		$users_count = $res[0]['total'];
	} else {
		$users_count = 0;
	}
	
	// Получаем список всех пользователей, которые приняли участие в играх, кроме последних 30 дней
	if(count($game_ids_lastmonth) > 0) {
		$res = sqli("SELECT COUNT(DISTINCT id) as total FROM tg_user2event WHERE event_id IN (".implode(',', $game_ids_lastmonth).")");
		$users_count_except_lastmonth = $res[0]['total'];
	} else {
		$users_count_except_lastmonth = 0;
	}

	$GLOBALS['dashboard']['users_count'] = number_format((int)$users_count, 0, '', ',');
	$GLOBALS['dashboard']['users_count_lastmonth'] = number_format((int)$users_count-(int)$users_count_except_lastmonth, 0, '', ',');

	
	// Собираем АКТИВНЫЕ ИГРЫ
	$active_games=0;
	$active_games_finished=0;
	$now = time();
	foreach($games as $game){
		$game_ts = strtotime($game['datetime']);
		if($game_ts > $now) $active_games++;
		if($game_ts < $now) $active_games_finished++;
	}
 
	$GLOBALS['dashboard']['active_games'] = number_format((int)$active_games, 0, '', ',');
	$GLOBALS['dashboard']['active_games_finished'] = number_format((int)$active_games_finished, 0, '', ',');


	// Собираем Выручку
	$revenue = 0;
	$revenue_lastmonth = 0;
	$revenue_2lastmonth = 0;
	foreach($games as $game) {
		$game_ts = strtotime($game['datetime']);
		
		if($game_ts < time()) {
			$game_data = unserialize($game['data']);
			if (isset($game_data['status']) AND $game_data['status'] == 'done') {

				$revenue += ($game['price'] + $game_data['spectator_price']);
				// Получаем начало текущего месяца
				$start_of_month = strtotime(date('Y-m-01'));
				// Получаем начало предыдущего месяца 
				$start_of_prev_month = strtotime(date('Y-m-01', strtotime('-1 month')));
				// Получаем такую же дату в предыдущем месяце
				$same_day_prev_month = strtotime(date('Y-m-d', strtotime('-1 month')));

				// Доход за текущий месяц до сегодня
				if($game_ts >= $start_of_month && $game_ts <= time()) {
					$revenue_lastmonth += ($game['price'] + $game_data['spectator_price']);
				}
				
				// Доход за предыдущий месяц до той же даты
				if($game_ts >= $start_of_prev_month && $game_ts <= $same_day_prev_month) {
					$revenue_2lastmonth += ($game['price'] + $game_data['spectator_price']); 
				}
			} 
		}
	}

	$GLOBALS['dashboard']['revenue'] = number_format((int)$revenue, 0, '', ',');
	// Рассчитываем процент изменения выручки
	$revenue_percent = 0;
	if($revenue_2lastmonth > 0) {
		$revenue_percent = round((($revenue_lastmonth - $revenue_2lastmonth) / $revenue_2lastmonth) * 100);
	}
	$GLOBALS['dashboard']['revenue_percent'] = $revenue_percent;

	return $GLOBALS['dashboard'];
}


function get_game_data($game_id=NULL){
	if (!isset($game_id)) return array();
	$game = sqli("SELECT * FROM tg_events WHERE id=$game_id LIMIT 1");
	if (count($game)==0) return array();
	return $game[0];
}

function get_master_data($chat_id=NULL){
	if (!isset($chat_id) AND isset($GLOBALS['user']['chat_id'])) $chat_id = $GLOBALS['user']['chat_id'];
	if (!isset($chat_id)) return array();

	$master = sqli("SELECT * FROM tg_users WHERE chat_id=$chat_id AND prefix='mntz' AND blocked=0 LIMIT 1");
	if (count($master)==0) return array();
	if (trim($master[0]['data'])!='') {
		$GLOBALS['master_data'] = unserialize($master[0]['data']);
	} else {
		$GLOBALS['master_data'] = array();
	}
	if (!isset($GLOBALS['master_data']['pay_url'])) $GLOBALS['master_data']['pay_url'] = 'https://t.me/'.$_SESSION["tg_user"]['username'];
	if (!isset($GLOBALS['master_data']['reg_info'])) $GLOBALS['master_data']['reg_info'] = '';
	return $GLOBALS['master_data'];
}

function set_master_data($data=NULL,$chat_id=NULL){
	if (!isset($chat_id) AND isset($_SESSION['tg_user']['chat_id'])) $chat_id = $_SESSION['tg_user']['chat_id'];
	if (!isset($chat_id)) return array();
	
	if (!isset($data) AND isset($GLOBALS['master_data'])) $data = $GLOBALS['master_data'];
	if (!isset($data)) return array();
	
	$ser = serialize($data);
	$res = todbi('tg_users', array('data'=>$ser)," prefix='mntz' AND chat_id='$chat_id' LIMIT 1 ");
	return $res;
}

function get_all_masters(){
	$masters = sqli("SELECT * FROM tg_users WHERE prefix='mntz' AND blocked=0 AND FIND_IN_SET('master', `role`)");
	$res = array();
	foreach($masters as $master){
		$res[$master['chat_id']] = $master;
	}
	return $res;
}

function get_stars($rating){
    if ($rating < 1.5) {
        return '★☆☆☆☆';
    } else if ($rating < 2.5) {
        return '★★☆☆☆';
    } else if ($rating < 3.5) {
        return '★★★☆☆';
    } else if ($rating < 4.5) {
        return '★★★★☆';
    } else {
        return '★★★★★';
    }
}

function get_game_members($game_id=NULL){
	if (!isset($game_id)) return array();
	$members = sqli("SELECT * FROM tg_user2event WHERE event_id=$game_id");
	return $members;
}

?>