<?

// Инициализация

$prefix='mntz';

if (!session_id()) {
	ini_set('session.use_cookies', 'On');
	ini_set('session.use_trans_sid', 'Off');
	ini_set('session.cookie_domain', '.'.$_SERVER["HTTP_HOST"]);

	ini_set('session.gc_maxlifetime',  86400);
	ini_set('session.cookie_lifetime', 604800);
	session_set_cookie_params(0, '/', '.'.$_SERVER["HTTP_HOST"]);

}

// Ставим / продлеваем сессию
session_start(array('cookie_lifetime' => 86400*7));

ini_set('user_ini.cache_ttl', 6000);  	// Не ставится на уровне системы (((
ini_set('mysql.connect_timeout', 6000); // Не ставится на уровне системы (((
ini_set('memory_limit','4096M');   		// Не ставится на уровне системы (((
ini_set('max_execution_time', 1200);

// Системные настройки
ini_set('error_reporting', E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
//ini_set('date.timezone', "Europe/Moscow");
ini_set('date.timezone', "Europe/Sofia");

$GLOBAL['version']='20211018-06'.time();
$GLOBAL['processed']=array(); // Сюда сохраняются массив обработанных функций
$command='';
	


// Глобальные переменные (могут менятся на каждой страницы)
$GLOBALS['tags']['page_title'] = 'Актерская PROкачка';
$GLOBALS['tags']['page_description'] = 'онлайн коучинг для профессиональных и начинающих актеров';
$GLOBALS['tags']['page_image'] = '';
$GLOBALS['tags']['page_image_width'] = '';
$GLOBALS['tags']['page_image_height'] = '';

// Пользовательские настройки по умолчанию
$GLOBALS['user_def_settings'] = array();


// Глобальные переменные для всего сайта
define('SAID',324429026);
define('KATYA',226855207);
define('SOLD','fwfe3843123wq');
define('TGAPI','7215381999:AAHAm9wFTfFuy2XFk6bS439sQyQrimygpWQ'); 
define('YANDEX_MAP_KEY','c9bb441a-af66-4d4d-a428-76d4e406f99f');
define('DADATA_TOKEN','eb6215fd706a0546d120dd01d4764ea9b408ef0e');
define('DADATA_SECRET','7659287cfcfeb80ab57d8b3859f40ccd3c3e5226');

define("PLACEHOLDER", '//storage4u.ru/images/placeholderv.jpg');
define("PLACEHOLDER2", '//storage4u.ru/images/placeholder.jpg');
define("PLACEHOLDER_BANNER", '//lk.californinvest.com/storage/placeholder_banner.png');

define("PERPLEXITY_API", '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');
define("MISTRAL_API", '4sFOs60aGQAp1mN8d7lCyB6doZZqJW9a');

//Города где играют в МОНЕТИЗАТОР
$GLOBALS['cities'] = array(
	'Москва',
	'Санкт-Петербург',
	'Краснодар',
	'Красноярск',
	'Новосибирск',
	'Екатеринбург',
	'Казань',
	'Самара',
);

// Список акредитованных Мастеров, которые могут добавлять игры
$GLOBALS['accept_masters'] = array(
	'SaidDN',
	'maia_di',
	'aidarahmetzadin',
	'kosenko_kat',
	'elena_zhdanova_ezh',
	'bermuda808',
	'pechenova34',
	'OrlovIvan',
	'Olga_Kuzmiina',
	'Sergeyosipuk',
	'aknur0911',
	'sashapoleznaya',
	'Perestoronin_EN',
	'Stelynse',
	'Sabina_video',
);

// МОДАЛЬНЫЕ ОКНА
$GLOBALS['modal_game_data'] = array(
	'{title}'=>'Добавление новой игры',
	'{game_id}'=>'0',
	'{city}'=>'',
	'{date_time}'=>'',
	'{max_players}'=>'',
	'{max_spectators}'=>'',
	'{player_price}'=>'',
	'{spectator_price}'=>'',
	'{locationType_offline}'=>'',
	'{locationType_online}'=>'',
	'{address}'=>'',
	'{short_description}'=>'',
	'{description}'=>'',
);
$GLOBALS['modal_game_data'] = array(
	'{title}'=>'Добавление новой игры',
	'{game_id}'=>'0',
	'{city}'=>'Новосибирск',
	'{date_time}'=>'2025-03-01 12:00',
	'{max_players}'=>'10',
	'{max_spectators}'=>'20',
	'{player_price}'=>'1000',
	'{spectator_price}'=>'500',
	'{locationType_offline}'=>'',
	'{locationType_online}'=>'checked',
	'{address}'=>'ул. 3-я Мытищинская 3с1',
	'{short_description}'=>'Краткое описание игры',
	'{description}'=>'Описание игры',
);

$GLOBALS['dashboard'] = array();

$GLOBALS['roles'] = array(
	'player'	=> 'Игрок',
	'spectator'	=> 'Зритель',
);

$GLOBALS['game_status_css'] = array(
	'Запланирована'	=>'status-planned',
	'Завершена'		=>'status-completed',
	'Отменена'		=>'status-cancelled',
	'Пауза'			=>'status-paused',
);


$GLOBALS['tags']['page_url'] = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$GLOBALS['tags']['og:type'] = 'website';
$GLOBALS['tags']['og:site_name'] = 'Актерская PROкачка';
$GLOBALS['tags']['og:locale'] = 'ru_RU';
$GLOBALS['tags']['og:image:type'] = 'image/jpeg';

$GLOBALS['tags']['twitter:card'] = 'summary';

$GLOBALS['tags']['business:contact_data:street_address'] = 'ул. 3-я Мытищинская 3с1';
$GLOBALS['tags']['business:contact_data:locality'] = 'Москва';
$GLOBALS['tags']['business:contact_data:postal_code'] = '129626';
$GLOBALS['tags']['business:contact_data:country_name'] = 'Россия';
$GLOBALS['tags']['business:contact_data:email'] = 'studio@cemein.ru';
$GLOBALS['tags']['business:contact_data:phone_number'] = '+7 (903) 723-99-87';

$GLOBALS['tags']['place:location:latitude'] = '55.805424';
$GLOBALS['tags']['place:location:longitude'] = '37.642186';

$GLOBALS['tags']['fb:app_id'] = '';
$GLOBALS['tags']['fb:pages'] = '';
$GLOBALS['tags']['fb:profile_id'] = 'said.dashuknigmatulin';

$GLOBALS['profile']['count'] = 0;
$GLOBALS['menu_showed'] = FALSE;

$GLOBALS['month'] = array(
	'im'  => array('','январь','февраль','март','апрель','май','июнь','июль','август','сентябрь','октябрь','ноябрь','декабрь'),
	'rod'  => array('','января','февраля','марта','апреля','мая','июня','июля','августа','сентября','октября','ноября','декабря'),
);

$GLOBALS['messages_to_delete'] = array(
	'system' => array( // Сообщения, которые всегда стираются при следующем сообщении (например названия страниц)
		'ГЛАВНОЕ МЕНЮ',
		'МЕНЮ',
		'___',
	),
	'user' => array( // Сообщения, которые всегда стираются при следующем сообщении (например названия страниц)
		'Вернуться',
		'___',
	)	
);

// Также указать все боты тут: https://events4events.ru/share/ !!!!!!
/*
$GLOBALS['project_name_by_prefix'] = array(
	'ab'		=> 'Актерский Бот',
	'icon'		=> 'ICON',
	'said'		=> 'Саид Нигматулин',
	'madideas'	=> 'Инвесторы и Соискатели',
	'retreat'	=> 'Ретрит Центр',
	'incognito'	=> 'Инкогнито-Бот',
);
*/
// Аккаунты продамуса клиентов 
$GLOBALS['prodamus_users'] = array(
	'kinoakter' => array('web_app'=>1),
	'grmv8' => array('web_app'=>1),
);


$GLOBALS['repeat_status_hint'] = array(
	'week' => 'каждую неделю',
	'month' => 'каждый месяц',
	'year' => 'каждый год',
);


$_bd_host 	= 'localhost';
$_bd_host 	= 'mysql.uk.cloudlogin.co';
$_bd_login 	= 'alterego_dsfile';
$_bd_name	= 'alterego_dsfile';
$_bd_pass 	= 'nigman';

global $db_link,$dadata;

include 'system/functions.php';


$db_link = @mysqli_connect($_bd_host, $_bd_login, $_bd_pass,$_bd_name);
    // or die("Could not connect : " . mysqli_error($db_link));
if (mysqli_connect_errno()) {
    echo "Ошибка: Невозможно установить соединение с MySQL." . PHP_EOL;
    echo "Код ошибки errno: " . mysqli_connect_errno() . PHP_EOL;
    //echo "Текст ошибки error: " . mysqli_connect_error() . PHP_EOL;
    exit;
}




$GLOBALS['prefixes'] = array(
	'mntz' => array(
		'prj_name' 		=> 'МОНЕТИЗАТОР',
		'bot_username'	=> 'MonetizatorGameBot',
		'tgapi'			=> '7215381999:AAHAm9wFTfFuy2XFk6bS439sQyQrimygpWQ', 
	),
);
if (isset($_REQUEST['set_prefix'])) {
	$_SESSION['prefix'] = $_REQUEST['set_prefix'];
	$GLOBALS['prefix']  = $_REQUEST['set_prefix'];
}


if (file_exists($GLOBALS['prefix'].'_config.php')) include $GLOBALS['prefix'].'_config.php';
// include 'system/tgbot.php';

// include 'system/dadata.php';
// include 'system/icons.php';
// include $GLOBALS['prefix'].'_menus.php';




//$dadata = new Dadata(DADATA_TOKEN, DADATA_SECRET);
//$dadata->init();

mysqli_set_charset($db_link, "utf8mb4");

mysqli_query($db_link, "SET NAMES 'utf8mb4'");
mysqli_query($db_link, "SET CHARACTER SET 'utf8mb4'");
mysqli_query($db_link, "SET character_set_client = utf8mb4");
mysqli_query($db_link, "SET character_set_connection = utf8mb4");
mysqli_query($db_link, "SET character_set_results = utf8mb4");
mysqli_query($db_link, "SET collation_connection = utf8mb4_general_ci");

mysqli_query($db_link, "SET LOCAL time_zone='+03:00'");




?>
